Small. Fast. Reliable.
Choose any three.

About Sitemap Documentation Download License News Support |

- -DHAVE_FDATASYNC - compile.html#fdatasync
- -DHAVE_GMTIME_R - compile.html#gmtime_r
- -DHAVE_ISNAN - compile.html#isnan
- -DHAVE_LOCALTIME_R - compile.html#localtime_r
- -DHAVE_LOCALTIME_S - compile.html#localtime_s
- -DHAVE_MALLOC_USABLE_SIZE - compile.html#malloc_usable_size
- -DHAVE_SQLITE_CONFIG_H - compile.html#sqlite_config_h
- -DHAVE_STRCHRNUL - compile.html#strchrnul
- -DHAVE_USLEEP - compile.html#usleep
- -DHAVE_UTIME - compile.html#utime
- -DSQLITE_4_BYTE_ALIGNED_MALLOC - compile.html#4_byte_aligned_malloc
- -DSQLITE_ALLOW_COVERING_INDEX_SCAN - compile.html#allow_covering_index_scan
- -DSQLITE_ALLOW_URI_AUTHORITY - compile.html#allow_uri_authority
- -DSQLITE_CASE_SENSITIVE_LIKE - compile.html#case_sensitive_like
- -DSQLITE_DEBUG - compile.html#debug
- -DSQLITE_DEFAULT_AUTOMATIC_INDEX - compile.html#default_automatic_index
- -DSQLITE_DEFAULT_AUTOVACUUM - compile.html#default_autovacuum
- -DSQLITE_DEFAULT_CACHE_SIZE - compile.html#default_cache_size
- -DSQLITE_DEFAULT_FILE_FORMAT - compile.html#default_file_format
- -DSQLITE_DEFAULT_FILE_PERMISSIONS - compile.html#default_file_permissions
- -DSQLITE_DEFAULT_FOREIGN_KEYS - compile.html#default_foreign_keys
- -DSQLITE_DEFAULT_JOURNAL_SIZE_LIMIT - compile.html#default_journal_size_limit
- -DSQLITE_DEFAULT_LOCKING_MODE - compile.html#default_locking_mode
- -DSQLITE_DEFAULT_MEMSTATUS - compile.html#default_memstatus
- -DSQLITE_DEFAULT_MMAP_SIZE - compile.html#default_mmap_size
- -DSQLITE_DEFAULT_PAGE_SIZE - compile.html#default_page_size
- -DSQLITE_DEFAULT_WAL_AUTOCHECKPOINT - compile.html#default_wal_autocheckpoint
- -DSQLITE_DEFAULT_WORKER_THREADS - compile.html#default_worker_threads
- -DSQLITE_DIRECT_OVERFLOW_READ - compile.html#direct_overflow_read
- -DSQLITE_DISABLE_DIRSYNC - compile.html#disable_dirsync
- -DSQLITE_DISABLE_FTS3_UNICODE - compile.html#disable_fts3_unicode
- -DSQLITE_DISABLE_FTS4_DEFERRED - compile.html#disable_fts4_deferred
- -DSQLITE_DISABLE_LFS - compile.html#disable_lfs
- -DSQLITE_ENABLE_8_3_NAMES - compile.html#enable_8_3_names
- -DSQLITE_ENABLE_API_ARMOR - compile.html#enable_api_armor
- -DSQLITE_ENABLE_ATOMIC_WRITE - compile.html#enable_atomic_write
- -DSQLITE_ENABLE_COLUMN_METADATA - compile.html#enable_column_metadata
- -DSQLITE_ENABLE_DBSTAT_VTAB - compile.html#enable_dbstat_vtab
- -DSQLITE_ENABLE_EXPLAIN_COMMENTS - compile.html#enable_explain_comments
- -DSQLITE_ENABLE_FTS3 - compile.html#enable_fts3
- -DSQLITE_ENABLE_FTS3_PARENTHESIS - compile.html#enable_fts3_parenthesis
- -DSQLITE_ENABLE_FTS4 - compile.html#enable_fts4
- -DSQLITE_ENABLE_FTS5 - compile.html#enable_fts5
- -DSQLITE_ENABLE_ICU - compile.html#enable_icu
- -DSQLITE_ENABLE_IOTRACE - compile.html#enable_iotrace
- -DSQLITE_ENABLE_JSON1 - compile.html#enable_json1
- -DSQLITE_ENABLE_LOCKING_STYLE - compile.html#enable_locking_style
- -DSQLITE_ENABLE_MEMORY_MANAGEMENT - compile.html#enable_memory_management
- -DSQLITE_ENABLE_MEMSYS3 - compile.html#enable_memsys3
- -DSQLITE_ENABLE_MEMSYS5 - compile.html#enable_memsys5
- -DSQLITE_ENABLE_RBU - compile.html#enable_rbu
- -DSQLITE_ENABLE_RTREE - compile.html#enable_rtree
- -DSQLITE_ENABLE_SQLLOG - compile.html#enable_sqllog
- -DSQLITE_ENABLE_STAT2 - compile.html#enable_stat2
- -DSQLITE_ENABLE_STAT3 - compile.html#enable_stat3
- -DSQLITE_ENABLE_STAT4 - compile.html#enable_stat4
- -DSQLITE_ENABLE_STMT_SCANSTATUS - compile.html#enable_stmt_scanstatus
- -DSQLITE_ENABLE_TREE_EXPLAIN - compile.html#enable_tree_explain
- -DSQLITE_ENABLE_UNLOCK_NOTIFY - compile.html#enable_unlock_notify
- -DSQLITE_ENABLE_UPDATE_DELETE_LIMIT - compile.html#enable_update_delete_limit
- -DSQLITE_FTS3_MAX_EXPR_DEPTH - compile.html#fts3_max_expr_depth
- -DSQLITE_HAVE_ISNAN - compile.html#have_isnan
- -DSQLITE_MAX_MMAP_SIZE - compile.html#max_mmap_size
- -DSQLITE_MAX_SCHEMA_RETRY - compile.html#max_schema_retry
- -DSQLITE_MAX_WORKER_THREADS - compile.html#max_worker_threads
- -DSQLITE_MEMDEBUG - compile.html#memdebug
- -DSQLITE_MINIMUM_FILE_DESCRIPTOR - compile.html#minimum_file_descriptor
- -DSQLITE_OMIT_ALTERTABLE - compile.html#omit_altertable
- -DSQLITE_OMIT_ANALYZE - compile.html#omit_analyze
- -DSQLITE_OMIT_ATTACH - compile.html#omit_attach
- -DSQLITE_OMIT_AUTHORIZATION - compile.html#omit_authorization
- -DSQLITE_OMIT_AUTOINCREMENT - compile.html#omit_autoincrement
- -DSQLITE_OMIT_AUTOINIT - compile.html#omit_autoinit
- -DSQLITE_OMIT_AUTOMATIC_INDEX - compile.html#omit_automatic_index
- -DSQLITE_OMIT_AUTORESET - compile.html#omit_autoreset
- -DSQLITE_OMIT_AUTOVACUUM - compile.html#omit_autovacuum
- -DSQLITE_OMIT_BETWEEN_OPTIMIZATION - compile.html#omit_between_optimization
- -DSQLITE_OMIT_BLOB_LITERAL - compile.html#omit_blob_literal
- -DSQLITE_OMIT_BTREECOUNT - compile.html#omit_btreecount
- -DSQLITE_OMIT_BUILTIN_TEST - compile.html#omit_builtin_test
- -DSQLITE_OMIT_CAST - compile.html#omit_cast
- -DSQLITE_OMIT_CHECK - compile.html#omit_check
- -DSQLITE_OMIT_COMPILEOPTION_DIAGS - compile.html#omit_compileoption_diags
- -DSQLITE_OMIT_COMPLETE - compile.html#omit_complete
- -DSQLITE_OMIT_COMPOUND_SELECT - compile.html#omit_compound_select
- -DSQLITE_OMIT_CTE - compile.html#omit_cte
- -DSQLITE_OMIT_DATETIME_FUNCS - compile.html#omit_datetime_funcs
- -DSQLITE_OMIT_DECLTYPE - compile.html#omit_decltype
- -DSQLITE_OMIT_DEPRECATED - compile.html#omit_deprecated
- -DSQLITE_OMIT_DISKIO - compile.html#omit_diskio
- -DSQLITE_OMIT_EXPLAIN - compile.html#omit_explain
- -DSQLITE_OMIT_FLAG_PRAGMAS - compile.html#omit_flag_pragmas
- -DSQLITE_OMIT_FLOATING_POINT - compile.html#omit_floating_point
- -DSQLITE_OMIT_FOREIGN_KEY - compile.html#omit_foreign_key
- -DSQLITE_OMIT_GET_TABLE - compile.html#omit_get_table
- -DSQLITE_OMIT_INCRBLOB - compile.html#omit_incrblob
- -DSQLITE_OMIT_INTEGRITY_CHECK - compile.html#omit_integrity_check
- -DSQLITE_OMIT_LIKE_OPTIMIZATION - compile.html#omit_like_optimization
- -DSQLITE_OMIT_LOAD_EXTENSION - compile.html#omit_load_extension
- -DSQLITE_OMIT_LOCALTIME - compile.html#omit_localtime
- -DSQLITE_OMIT_LOOKASIDE - compile.html#omit_lookaside
- -DSQLITE_OMIT_MEMORYDB - compile.html#omit_memorydb
- -DSQLITE_OMIT_OR_OPTIMIZATION - compile.html#omit_or_optimization
- -DSQLITE_OMIT_PAGER_PRAGMAS - compile.html#omit_pager_pragmas
- -DSQLITE_OMIT_PRAGMA - compile.html#omit_pragma
- -DSQLITE_OMIT_PROGRESS_CALLBACK - compile.html#omit_progress_callback
- -DSQLITE_OMIT_QUICKBALANCE - compile.html#omit_quickbalance
- -DSQLITE_OMIT_REINDEX - compile.html#omit_reindex
- -DSQLITE_OMIT_SCHEMA_PRAGMAS - compile.html#omit_schema_pragmas
- -DSQLITE_OMIT_SCHEMA_VERSION_PRAGMAS - compile.html#omit_schema_version_pragmas
- -DSQLITE_OMIT_SHARED_CACHE - compile.html#omit_shared_cache
- -DSQLITE_OMIT_SUBQUERY - compile.html#omit_subquery
- -DSQLITE_OMIT_TCL_VARIABLE - compile.html#omit_tcl_variable
- -DSQLITE_OMIT_TEMPDB - compile.html#omit_tempdb
- -DSQLITE_OMIT_TRACE - compile.html#omit_trace
- -DSQLITE_OMIT_TRIGGER - compile.html#omit_trigger
- -DSQLITE_OMIT_TRUNCATE_OPTIMIZATION - compile.html#omit_truncate_optimization
- -DSQLITE_OMIT_UTF16 - compile.html#omit_utf16
- -DSQLITE_OMIT_VACUUM - compile.html#omit_vacuum
- -DSQLITE_OMIT_VIEW - compile.html#omit_view
- -DSQLITE_OMIT_VIRTUALTABLE - compile.html#omit_virtualtable
- -DSQLITE_OMIT_WAL - compile.html#omit_wal
- -DSQLITE_OMIT_WSD - compile.html#omit_wsd
- -DSQLITE_OMIT_XFER_OPT - compile.html#omit_xfer_opt
- -DSQLITE_OS_OTHER - compile.html#os_other
- -DSQLITE_POWERSAFE_OVERWRITE - compile.html#powersafe_overwrite
- -DSQLITE_REVERSE_UNORDERED_SELECTS - compile.html#reverse_unordered_selects
- -DSQLITE_RTREE_INT_ONLY - compile.html#rtree_int_only
- -DSQLITE_SECURE_DELETE - compile.html#secure_delete
- -DSQLITE_SORTER_PMASZ - compile.html#sorter_pmasz
- -DSQLITE_SOUNDEX - compile.html#soundex
- -DSQLITE_TEMP_STORE - compile.html#temp_store
- -DSQLITE_THREADSAFE - compile.html#threadsafe
- -DSQLITE_TRACE_SIZE_LIMIT - compile.html#trace_size_limit
- -DSQLITE_USE_FCNTL_TRACE - compile.html#use_fcntl_trace
- -DSQLITE_USE_URI - compile.html#use_uri
- -DSQLITE_WIN32_HEAP_CREATE - compile.html#win32_heap_create
- -DSQLITE_WIN32_MALLOC - compile.html#win32_malloc
- -DSQLITE_WIN32_MALLOC_VALIDATE - compile.html#win32_malloc_validate
- -DSQLITE_ZERO_MALLOC - compile.html#zero_malloc
- .fullschema - cli.html#fullschema
- 34to35 - 34to35.html
- 35to36 - 35to36.html
- abs - lang_corefunc.html#abs
- abs SQL function - lang_corefunc.html#abs
- affinities - datatype3.html#affinity
- affinity - datatype3.html#affinity
- affshort - aff_short.html
- agg_max - lang_aggfunc.html#maxggunc
- agg_min - lang_aggfunc.html#minggunc
- aggfunc - lang_aggfunc.html
- Aggregate Functions - lang_aggfunc.html
- alphabetical listing of SQLite documents - doclist.html
- ALTER - lang_altertable.html
- ALTER TABLE - lang_altertable.html
- alter-table-stmt - syntax/alter-table-stmt.html
- alter-table-stmt syntax diagram - syntax/alter-table-stmt.html
- amalgamation - amalgamation.html
- amalgamation tarball - download.html
- American Fuzzy Lop fuzzer - testing.html#aflfuzz
- ANALYZE - lang_analyze.html
- analyze-stmt - syntax/analyze-stmt.html
- analyze-stmt syntax diagram - syntax/analyze-stmt.html
- appformat - appfileformat.html
- Application File Format - appfileformat.html
- application file format - appfileformat.html
- application file-format - appfileformat.html
- Application ID - fileformat2.html#appid
- application-defined SQL function - c3ref/create_function.html
- application-defined SQL functions - c3ref/create_function.html
- application_id - pragma.html#pragma_application_id
- application_id pragma - pragma.html#pragma_application_id
- asynchronous I/O backend - asyncvfs.html
- asynchronous VFS - asyncvfs.html
- Atomic Commit - atomiccommit.html
- atomic commit - atomiccommit.html
- ATTACH - lang_attach.html
- ATTACH DATABASE - lang_attach.html
- attach-stmt - syntax/attach-stmt.html
- attach-stmt syntax diagram - syntax/attach-stmt.html
- attached - lang_attach.html
- authorizer method - tclsqlite.html#authorizer
- auto_vacuum - pragma.html#pragma_auto_vacuum
- auto_vacuum pragma - pragma.html#pragma_auto_vacuum
- autocommit mode - c3ref/get_autocommit.html
- AUTOINCREMENT - autoinc.html
- automated undo/redo stack - undoredo.html
- Automatic indexing - optoverview.html#autoindex
- automatic indexing - optoverview.html#autoindex
- automatic_index - pragma.html#pragma_automatic_index
- automatic_index pragma - pragma.html#pragma_automatic_index
- automerge command - fts3.html#*fts4automergecmd
- auxiliary function mapping - fts5.html#section_5_2
- avg - lang_aggfunc.html#avg
- avg aggregate function - lang_aggfunc.html#avg
- avoiding large WAL files - wal.html#bigwal
- B-Trees - fileformat2.html#btree
- backup API - backup.html
- backup method - tclsqlite.html#backup
- BEGIN - lang_transaction.html
- BEGIN EXCLUSIVE - lang_transaction.html#immediate
- BEGIN IMMEDIATE - lang_transaction.html#immediate
- BEGIN TRANSACTION - lang_transaction.html
- begin-stmt - syntax/begin-stmt.html
- begin-stmt syntax diagram - syntax/begin-stmt.html
- benefits of using WITHOUT ROWID - withoutrowid.html#bene
- BETWEEN - lang_expr.html#between
- BINARY - datatype3.html#collation
- BINARY collating function - datatype3.html#collation
- binary operators - lang_expr.html#binaryops
- BLOB handle - c3ref/blob.html
- BLOB handles - c3ref/blob.html
- BLOB I/O performance - intern-v-extern-blob.html
- books about SQLite - books.html
- boolean datatype - datatype3.html#boolean
- boolean expression - lang_expr.html#booleanexpr
- bound parameter - lang_expr.html#varparam
- bound parameters - lang_expr.html#varparam
- btree design - btreemodule.html
- build product names - download.html#encoding
- building a DLL - howtocompile.html#dll
- building the amalgamation - howtocompile.html#amal
- built-in memory allocators - malloc.html#altalloc
- busy handler - c3ref/busy_handler.html
- busy method - tclsqlite.html#busy
- busy-handler callback - c3ref/busy_handler.html
- busy_timeout - pragma.html#pragma_busy_timeout
- busy_timeout pragma - pragma.html#pragma_busy_timeout
- C-API function list - c3ref/funclist.html
- C-language Interface - c3ref/intro.html
- cache method - tclsqlite.html#cache
- cache query parameter - uri.html#uricache
- cache_size - pragma.html#pragma_cache_size
- cache_size pragma - pragma.html#pragma_cache_size
- cache_spill - pragma.html#pragma_cache_spill
- cache_spill pragma - pragma.html#pragma_cache_spill
- canonical source code - getthecode.html
- capi3ref - c3ref/intro.html
- capi3ref_funclist - c3ref/funclist.html
- CASE expression - lang_expr.html#case
- case_sensitive_like - pragma.html#pragma_case_sensitive_like
- case_sensitive_like pragma - pragma.html#pragma_case_sensitive_like
- CAST - lang_expr.html#castexpr
- cast - lang_expr.html#castexpr
- CAST expression - lang_expr.html#castexpr
- CAST operator - lang_expr.html#castexpr
- categorical listing of SQLite documents - docs.html
- cell format summary - fileformat2.html#cellformat
- cell payload - fileformat2.html#cell_payload
- cell_size_check - pragma.html#pragma_cell_size_check
- cell_size_check pragma - pragma.html#pragma_cell_size_check
- change counter - fileformat2.html#chngctr
- changes - lang_corefunc.html#changes
- changes method - tclsqlite.html#changes
- changes SQL function - lang_corefunc.html#changes
- char - lang_corefunc.html#char
- char SQL function - lang_corefunc.html#char
- CHECK - lang_createtable.html#ckconst
- CHECK constraint - lang_createtable.html#ckconst
- CHECK constraints - lang_createtable.html#ckconst
- checkpoint - wal.html#ckpt
- checkpoint mode - c3ref/c_checkpoint_full.html
- checkpoint_fullfsync - pragma.html#pragma_checkpoint_fullfsync
- checkpoint_fullfsync pragma - pragma.html#pragma_checkpoint_fullfsync
- checkpointed - wal.html#ckpt
- checkpointing - wal.html#ckpt
- child key - foreignkeys.html#parentchild
- child table - foreignkeys.html#parentchild
- chronology - chronology.html
- cintro - cintro.html
- CLI - cli.html
- clone the entire repository - getthecode.html#clone
- close method - tclsqlite.html#close
- coalesce - lang_corefunc.html#coalesce
- coalesce SQL function - lang_corefunc.html#coalesce
- code repositories - download.html#srctree
- collate method - tclsqlite.html#collate
- COLLATE operator - lang_expr.html#collateop
- collating function - datatype3.html#collation
- collating sequence - datatype3.html#collation
- collating sequences - datatype3.html#collation
- collation - datatype3.html#collation
- collation_list - pragma.html#pragma_collation_list
- collation_list pragma - pragma.html#pragma_collation_list
- collation_needed method - tclsqlite.html#collation_needed
- column access functions - c3ref/column_blob.html
- column affinity - datatype3.html#affinity
- column definition - lang_createtable.html#tablecoldef
- column definitions - lang_createtable.html#tablecoldef
- column-constraint - syntax/column-constraint.html
- column-constraint syntax diagram - syntax/column-constraint.html
- column-def - syntax/column-def.html
- column-def syntax diagram - syntax/column-def.html
- Command Line Interface - cli.html
- command-line interface - cli.html
- command-line shell - cli.html
- commands - fts3.html#commands
- comment - lang_comment.html
- comment-syntax - syntax/comment-syntax.html
- comment-syntax syntax diagram - syntax/comment-syntax.html
- comments - lang_comment.html
- COMMIT - lang_transaction.html
- commit-stmt - syntax/commit-stmt.html
- commit-stmt syntax diagram - syntax/commit-stmt.html
- commit_hook method - tclsqlite.html#commit_hook
- common table expressions - lang_with.html
- common-table-expression - syntax/common-table-expression.html
- common-table-expression syntax diagram - syntax/common-table-expression.html
- comparison affinity rules - datatype3.html#compaff
- comparison expressions - datatype3.html#comparisons
- comparison with fts4 - fts5.html#appendix_a
- compile fts - fts3.html#section_2
- compile loadable extensions - loadext.html#build
- compile-time options - compile.html
- compile_options - pragma.html#pragma_compile_options
- compile_options pragma - pragma.html#pragma_compile_options
- Compiling Loadable Extensions - loadext.html#build
- compiling the CLI - howtocompile.html#cli
- compiling the TCL interface - howtocompile.html#tcl
- complete list of SQLite releases - changes.html
- complete method - tclsqlite.html#complete
- compound query - lang_select.html#compound
- compound SELECT - lang_select.html#compound
- compound select - lang_select.html#compound
- compound SELECTs - lang_select.html#compound
- compound-operator - syntax/compound-operator.html
- compound-operator syntax diagram - syntax/compound-operator.html
- compound-select-stmt - syntax/compound-select-stmt.html
- compound-select-stmt syntax diagram - syntax/compound-select-stmt.html
- compressed FTS4 content - fts3.html#*fts4compression
- compute the Mandelbrot set - lang_with.html#mandelbrot
- configuration option - c3ref/c_config_covering_index_scan.html
- conflict clause - lang_conflict.html
- conflict resolution mode - c3ref/c_fail.html
- conflict-clause - syntax/conflict-clause.html
- conflict-clause syntax diagram - syntax/conflict-clause.html
- constraints - lang_createtable.html#constraints
- contentless fts4 tables - fts3.html#section_6_2_1
- copy method - tclsqlite.html#copy
- Core Functions - lang_corefunc.html
- core URI query parameters - c3ref/open.html#coreuriqueryparameters
- corefunc - lang_corefunc.html
- coreqp - uri.html#coreqp
- count - lang_aggfunc.html#count
- count aggregate function - lang_aggfunc.html#count
- count_changes - pragma.html#pragma_count_changes
- count_changes pragma - pragma.html#pragma_count_changes
- covering index - queryplanner.html#covidx
- covering indices - queryplanner.html#covidx
- CREATE INDEX - lang_createindex.html
- CREATE TABLE - lang_createtable.html
- CREATE TABLE AS - lang_createtable.html#createtabas
- CREATE TRIGGER - lang_createtrigger.html
- CREATE VIEW - lang_createview.html
- CREATE VIRTUAL TABLE - lang_createvtab.html
- create-index-stmt - syntax/create-index-stmt.html
- create-index-stmt syntax diagram - syntax/create-index-stmt.html
- create-table-stmt - syntax/create-table-stmt.html
- create-table-stmt syntax diagram - syntax/create-table-stmt.html
- create-trigger-stmt - syntax/create-trigger-stmt.html
- create-trigger-stmt syntax diagram - syntax/create-trigger-stmt.html
- create-view-stmt - syntax/create-view-stmt.html
- create-view-stmt syntax diagram - syntax/create-view-stmt.html
- create-virtual-table-stmt - syntax/create-virtual-table-stmt.html
- create-virtual-table-stmt syntax diagram - syntax/create-virtual-table-stmt.html
- CROSS JOIN - optoverview.html#crossjoin
- CSV export - cli.html#csvout
- CSV import - cli.html#csv
- cte-table-name - syntax/cte-table-name.html
- cte-table-name syntax diagram - syntax/cte-table-name.html
- custom auxiliary functions - fts5.html#section_7_2_1
- custom builds - custombuild.html
- custom r-tree queries - rtree.html#customquery
- custom tokenizers - fts5.html#section_7_1
- data_store_directory - pragma.html#pragma_data_store_directory
- data_store_directory pragma - pragma.html#pragma_data_store_directory
- data_version - pragma.html#pragma_data_version
- data_version pragma - pragma.html#pragma_data_version
- database connection - c3ref/sqlite3.html
- database connections - c3ref/sqlite3.html
- database corruption caused by inconsistent use of 83 filenames - shortnames.html#db83corrupt
- database filename aliasing - howtocorrupt.html#alias
- database header - fileformat2.html#database_header
- Database Object Name Resolution - lang_naming.html
- database_list - pragma.html#pragma_database_list
- database_list pragma - pragma.html#pragma_database_list
- datatype - datatype3.html
- date and time datatype - datatype3.html#datetime
- Date And Time Functions - lang_datefunc.html
- date and time functions - lang_datefunc.html
- date SQL function - lang_datefunc.html
- datefunc - lang_datefunc.html
- datetime SQL function - lang_datefunc.html
- dbstat - dbstat.html
- dbstat virtual table - dbstat.html
- debugging memory allocator - malloc.html#memdebug
- decision checklist - whentouse.html#dbcklst
- default column value - lang_createtable.html#dfltval
- default memory allocator - malloc.html#defaultalloc
- default value - lang_createtable.html#dfltval
- default_cache_size - pragma.html#pragma_default_cache_size
- default_cache_size pragma - pragma.html#pragma_default_cache_size
- defer_foreign_keys - pragma.html#pragma_defer_foreign_keys
- defer_foreign_keys pragma - pragma.html#pragma_defer_foreign_keys
- DELETE - lang_delete.html
- delete-stmt - syntax/delete-stmt.html
- delete-stmt syntax diagram - syntax/delete-stmt.html
- delete-stmt-limited - syntax/delete-stmt-limited.html
- delete-stmt-limited syntax diagram - syntax/delete-stmt-limited.html
- DELETEs - lang_delete.html
- deleting a hot journal - howtocorrupt.html#delhotjrnl
- deprecated - c3ref/experimental.html
- descending index - lang_createindex.html#descidx
- descending indexes - lang_createindex.html#descidx
- descending indices - lang_createindex.html#descidx
- DETACH - lang_detach.html
- DETACH DATABASE - lang_detach.html
- detach-stmt - syntax/detach-stmt.html
- detach-stmt syntax diagram - syntax/detach-stmt.html
- DISTINCT - lang_select.html#distinct
- doclist - doclist.html
- download page - download.html
- DROP INDEX - lang_dropindex.html
- DROP TABLE - lang_droptable.html
- DROP TRIGGER - lang_droptrigger.html
- DROP VIEW - lang_dropview.html
- drop-index-stmt - syntax/drop-index-stmt.html
- drop-index-stmt syntax diagram - syntax/drop-index-stmt.html
- drop-table-stmt - syntax/drop-table-stmt.html
- drop-table-stmt syntax diagram - syntax/drop-table-stmt.html
- drop-trigger-stmt - syntax/drop-trigger-stmt.html
- drop-trigger-stmt syntax diagram - syntax/drop-trigger-stmt.html
- drop-view-stmt - syntax/drop-view-stmt.html
- drop-view-stmt syntax diagram - syntax/drop-view-stmt.html
- dynamic typing - datatype3.html
- editdist3 - spellfix1.html#editdist3
- empty_result_callbacks - pragma.html#pragma_empty_result_callbacks
- empty_result_callbacks pragma - pragma.html#pragma_empty_result_callbacks
- enable_load_extension method - tclsqlite.html#enable_load_extension
- encoding - pragma.html#pragma_encoding
- encoding pragma - pragma.html#pragma_encoding
- enhanced query syntax - fts3.html#section_3_1
- eponymous virtual table - vtab.html#epovtab
- eponymous virtual tables - vtab.html#epovtab
- eponymous-only virtual table - vtab.html#epoonlyvtab
- errlog - errlog.html
- error code - rescode.html
- error codes - rescode.html
- error log - errlog.html
- errorcode method - tclsqlite.html#errorcode
- ESCAPE - lang_expr.html#like
- eval method - tclsqlite.html#eval
- EXCLUSIVE - lockingv3.html#excl_lock
- EXCLUSIVE lock - lockingv3.html#excl_lock
- exclusive lock - lockingv3.html#excl_lock
- exists method - tclsqlite.html#exists
- EXISTS operator - lang_expr.html#in_op
- experimental - c3ref/experimental.html
- experimental memory allocators - malloc.html#memsysx
- EXPLAIN - lang_explain.html
- explain dot-command - cli.html#explain
- EXPLAIN QUERY PLAN - eqp.html
- explain query plan - eqp.html
- expr - syntax/expr.html
- expr syntax diagram - syntax/expr.html
- expression - lang_expr.html
- expression affinity - datatype3.html#expraff
- expression syntax - lang_expr.html
- ext-v-prim - rescode.html#pve
- extended error code - rescode.html#extrc
- extended error codes - rescode.html#extrc
- extended result code - rescode.html#extrc
- extended result code definitions - c3ref/c_abort_rollback.html
- extended result codes - rescode.html#extrc
- Extending FTS5 - fts5.html#section_7
- extension loading - loadext.html
- external content fts4 tables - fts3.html#section_6_2_2
- factored-select-stmt - syntax/factored-select-stmt.html
- factored-select-stmt syntax diagram - syntax/factored-select-stmt.html
- file control opcode - c3ref/c_fcntl_busyhandler.html
- file control opcodes - c3ref/c_fcntl_busyhandler.html
- file format - fileformat2.html
- file I/O - fileio.html
- file I/O functions - cli.html#fileio
- file locking and concurrency control - lockingv3.html
- file locking states - lockingv3.html#locking
- file-format benefits - aff_short.html
- filesystem corruption - howtocorrupt.html#fscorruption
- flattening optimization - optoverview.html#flattening
- footprint - footprint.html
- foreign key actions - foreignkeys.html#fk_actions
- foreign key constraint - foreignkeys.html
- FOREIGN KEY constraints - foreignkeys.html
- foreign key constraints - foreignkeys.html
- foreign key constraints are enabled - foreignkeys.html#fk_enable
- foreign-key-clause - syntax/foreign-key-clause.html
- foreign-key-clause syntax diagram - syntax/foreign-key-clause.html
- foreign_key_check - pragma.html#pragma_foreign_key_check
- foreign_key_check pragma - pragma.html#pragma_foreign_key_check
- foreign_key_list - pragma.html#pragma_foreign_key_list
- foreign_key_list pragma - pragma.html#pragma_foreign_key_list
- foreign_keys - pragma.html#pragma_foreign_keys
- foreign_keys pragma - pragma.html#pragma_foreign_keys
- free-page list - fileformat2.html#freelist
- freelist - fileformat2.html#freelist
- freelist_count - pragma.html#pragma_freelist_count
- freelist_count pragma - pragma.html#pragma_freelist_count
- FROM clause - lang_select.html#fromclause
- FTS auxiliary functions - fts3.html#snippet
- FTS hidden column - fts3.html#hiddencol
- FTS MATCH - fts3.html#section_3
- FTS shadow tables - fts3.html#*shadowtab
- FTS3 - fts3.html
- fts3 - fts3.html
- fts3tokenize - fts3.html#fts3tok
- fts3tokenize virtual table - fts3.html#fts3tok
- FTS4 - fts3.html#fts4
- FTS4 automerge command - fts3.html#*fts4automergecmd
- FTS4 commands - fts3.html#*cmds
- fts4 compress option - fts3.html#section_6_1
- FTS4 content option - fts3.html#*fts4content
- fts4 content option - fts3.html#section_6_2
- FTS4 integrity-check command - fts3.html#*fts4ickcmd
- FTS4 languageid option - fts3.html#*fts4languageid
- fts4 languageid option - fts3.html#section_6_3
- FTS4 matchinfo option - fts3.html#fts4matchinfo
- fts4 matchinfo option - fts3.html#section_6_4
- FTS4 merge command - fts3.html#*fts4mergecmd
- FTS4 notindexed option - fts3.html#fts4notindexed
- fts4 notindexed option - fts3.html#section_6_5
- FTS4 optimize command - fts3.html#*fts4optcmd
- FTS4 options - fts3.html#fts4_options
- FTS4 order option - fts3.html#fts4order
- FTS4 prefix option - fts3.html#fts4prefix
- fts4 prefix option - fts3.html#section_6_6
- FTS4 rebuild command - fts3.html#*fts4rebuidcmd
- fts4aux - fts3.html#fts4aux
- fts4aux languageid column - fts3.html#f4alid
- FTS5 - fts5.html
- fts5 - fts5.html
- FTS5 automerge option - fts5.html#section_6_1
- FTS5 auxiliary functions - fts5.html#section_5
- FTS5 bm25 - fts5.html#section_5_1_1
- FTS5 building - fts5.html#section_2
- FTS5 columnsize option - fts5.html#section_4_5
- FTS5 content option - fts5.html#section_4_4
- FTS5 contentless tables - fts5.html#section_4_4_1
- FTS5 CREATE TABLE Options - fts5.html#section_4
- FTS5 custom auxiliary functions - fts5.html#section_7_2
- FTS5 delete command - fts5.html#section_6_3
- FTS5 delete-all command - fts5.html#section_6_4
- FTS5 external content tables - fts5.html#section_4_4_2
- FTS5 highlight - fts5.html#section_5_1_2
- FTS5 merge command - fts5.html#section_6_6
- FTS5 optimize command - fts5.html#section_6_7
- FTS5 pgsz option - fts5.html#section_6_8
- FTS5 prefix indexes - fts5.html#section_4_2
- FTS5 query syntax - fts5.html#section_3
- FTS5 rank configuration option - fts5.html#section_6_9
- FTS5 rebuild command - fts5.html#section_6_10
- FTS5 snippet - fts5.html#section_5_1_3
- fts5 technical differences - fts5.html#notoc6
- FTS5 tokenizers - fts5.html#section_4_3
- full-text search - fts3.html
- full_column_names - pragma.html#pragma_full_column_names
- full_column_names pragma - pragma.html#pragma_full_column_names
- fullfsync - pragma.html#pragma_fullfsync
- fullfsync pragma - pragma.html#pragma_fullfsync
- function creation routines - c3ref/create_function.html
- function method - tclsqlite.html#function
- fuzz testing - testing.html#fuzztesting
- get the canonical source code - getthecode.html
- GLOB - lang_expr.html#glob
- glob - lang_corefunc.html#glob
- glob SQL function - lang_corefunc.html#glob
- GROUP BY - lang_select.html#resultset
- group_concat - lang_aggfunc.html#groupconcat
- group_concat aggregate function - lang_aggfunc.html#groupconcat
- HAVE_FDATASYNC - compile.html#fdatasync
- HAVE_GMTIME_R - compile.html#gmtime_r
- HAVE_ISNAN - compile.html#isnan
- HAVE_LOCALTIME_R - compile.html#localtime_r
- HAVE_LOCALTIME_S - compile.html#localtime_s
- HAVE_MALLOC_USABLE_SIZE - compile.html#malloc_usable_size
- HAVE_SQLITE_CONFIG_H - compile.html#sqlite_config_h
- HAVE_STRCHRNUL - compile.html#strchrnul
- HAVE_USLEEP - compile.html#usleep
- HAVE_UTIME - compile.html#utime
- hazards of upgrading to the NGQP - queryplanner-ng.html#hazards
- hex - lang_corefunc.html#hex
- hex SQL function - lang_corefunc.html#hex
- hexadecimal integer literals - lang_expr.html#hexint
- hexadecimal integers - lang_expr.html#hexint
- hidden column - vtab.html#hiddencol
- hidden columns - vtab.html#hiddencol
- host parameter - c3ref/bind_blob.html
- host parameter name - c3ref/bind_blob.html
- host parameters - c3ref/bind_blob.html
- hot journal - lockingv3.html#hotjrnl
- how to compile - howtocompile.html
- How To Compile SQLite - howtocompile.html
- how to corrupt - howtocorrupt.html
- How To Corrupt Your Database Files - lockingv3.html#how_to_corrupt
- ifnull - lang_corefunc.html#ifnull
- ifnull SQL function - lang_corefunc.html#ifnull
- ignore_check_constraints - pragma.html#pragma_ignore_check_constraints
- ignore_check_constraints pragma - pragma.html#pragma_ignore_check_constraints
- immutable query parameter - uri.html#uriimmutable
- IN operator - lang_expr.html#in_op
- in-header database size - fileformat2.html#filesize
- in-memory database - inmemorydb.html
- in-memory databases - inmemorydb.html
- in-memory shared cache database - inmemorydb.html#sharedmemdb
- in-memory shared-cache - sharedcache.html#inmemsharedcache
- incrblob method - tclsqlite.html#incrblob
- incremental_vacuum - pragma.html#pragma_incremental_vacuum
- incremental_vacuum pragma - pragma.html#pragma_incremental_vacuum
- index_info - pragma.html#pragma_index_info
- index_info pragma - pragma.html#pragma_index_info
- index_list - pragma.html#pragma_index_list
- index_list pragma - pragma.html#pragma_index_list
- index_xinfo - pragma.html#pragma_index_xinfo
- index_xinfo pragma - pragma.html#pragma_index_xinfo
- INDEXED BY - lang_indexedby.html
- indexed-column - syntax/indexed-column.html
- indexed-column syntax diagram - syntax/indexed-column.html
- Indexes On Expressions - expridx.html
- indexes on expressions - expridx.html
- indexing - queryplanner.html
- indexing tutorial - queryplanner.html
- INSERT - lang_insert.html
- insert-stmt - syntax/insert-stmt.html
- insert-stmt syntax diagram - syntax/insert-stmt.html
- INSERTs - lang_insert.html
- INSTEAD OF - lang_createtrigger.html#instead_of_trigger
- INSTEAD OF trigger - lang_createtrigger.html#instead_of_trigger
- instr - lang_corefunc.html#instr
- instr SQL function - lang_corefunc.html#instr
- INTEGER PRIMARY KEY - lang_createtable.html#rowid
- integer-valued r-trees - rtree.html#intrtree
- integrity_check - pragma.html#pragma_integrity_check
- integrity_check pragma - pragma.html#pragma_integrity_check
- internal index - fileformat2.html#intschema
- internal indexes - fileformat2.html#intschema
- internal schema object - fileformat2.html#intschema
- internal schema objects - fileformat2.html#intschema
- internal table - fileformat2.html#intschema
- internal tables - fileformat2.html#intschema
- Internal Versus External BLOBs - intern-v-extern-blob.html
- IS NOT operator - lang_expr.html#isisnot
- IS operator - lang_expr.html#isisnot
- isolation - isolation.html
- join order - optoverview.html#table_order
- join-clause - syntax/join-clause.html
- join-clause syntax diagram - syntax/join-clause.html
- join-constraint - syntax/join-constraint.html
- join-constraint syntax diagram - syntax/join-constraint.html
- join-operator - syntax/join-operator.html
- join-operator syntax diagram - syntax/join-operator.html
- journal_mode - pragma.html#pragma_journal_mode
- journal_mode pragma - pragma.html#pragma_journal_mode
- journal_size_limit - pragma.html#pragma_journal_size_limit
- journal_size_limit pragma - pragma.html#pragma_journal_size_limit
- json - json1.html#jmini
- json SQL function - json1.html#jmini
- JSON SQL functions - json1.html
- json1 - json1.html
- json_array - json1.html#jarray
- json_array SQL function - json1.html#jarray
- json_array_length - json1.html#jarraylen
- json_array_length SQL function - json1.html#jarraylen
- json_each - json1.html#jeach
- json_each table-valued function - json1.html#jeach
- json_extract - json1.html#jex
- json_extract SQL function - json1.html#jex
- json_insert - json1.html#jins
- json_insert SQL function - json1.html#jins
- json_object - json1.html#jobj
- json_object SQL function - json1.html#jobj
- json_remove - json1.html#jrm
- json_remove SQL function - json1.html#jrm
- json_replace - json1.html#jrepl
- json_replace SQL function - json1.html#jrepl
- json_set - json1.html#jset
- json_set SQL function - json1.html#jset
- json_tree - json1.html#jtree
- json_tree table-valued function - json1.html#jtree
- json_type - json1.html#jtype
- json_type SQL function - json1.html#jtype
- json_valid - json1.html#jvalid
- json_valid SQL function - json1.html#jvalid
- julianday SQL function - lang_datefunc.html
- keyword index - keyword_index.html
- languageid - fts3.html#*fts4languageid
- large WAL files - wal.html#bigwal
- last_insert_rowid - lang_corefunc.html#last_insert_rowid
- last_insert_rowid method - tclsqlite.html#last_insert_rowid
- last_insert_rowid SQL function - lang_corefunc.html#last_insert_rowid
- legacy_file_format - pragma.html#pragma_legacy_file_format
- legacy_file_format pragma - pragma.html#pragma_legacy_file_format
- length - lang_corefunc.html#length
- length SQL function - lang_corefunc.html#length
- library size - footprint.html
- LIKE - lang_expr.html#like
- like - lang_corefunc.html#like
- LIKE optimization - optoverview.html#like_opt
- like SQL function - lang_corefunc.html#like
- likelihood - lang_corefunc.html#likelihood
- likelihood SQL function - lang_corefunc.html#likelihood
- likely - lang_corefunc.html#likely
- likely SQL function - lang_corefunc.html#likely
- LIMIT - lang_select.html#limitoffset
- limit categories - c3ref/c_limit_attached.html
- limit category - c3ref/c_limit_attached.html
- limits - limits.html
- literal value - lang_expr.html#litvalue
- literal-value - syntax/literal-value.html
- literal-value syntax diagram - syntax/literal-value.html
- load_extension - lang_corefunc.html#load_extension
- load_extension SQL function - lang_corefunc.html#load_extension
- loadable extension - loadext.html
- loadable extensions - loadext.html
- loadext - loadext.html
- localtime modifier - lang_datefunc.html#localtime
- locking_mode - pragma.html#pragma_locking_mode
- locking_mode pragma - pragma.html#pragma_locking_mode
- lookaside memory allocator - malloc.html#lookaside
- lower - lang_corefunc.html#lower
- lower SQL function - lang_corefunc.html#lower
- ltrim - lang_corefunc.html#ltrim
- ltrim SQL function - lang_corefunc.html#ltrim
- mailing lists - support.html#mailinglists
- Manual Control Of Query Plans Using CROSS JOIN - optoverview.html#crossjoin
- Manual Control Of Query Plans Using SQLITE_STAT Tables - optoverview.html#manctrl
- MATCH - lang_expr.html#match
- matchinfo - fts3.html#matchinfo
- matchinfo b flag - fts3.html#matchinfo-b
- matchinfo x flag - fts3.html#matchinfo-x
- matchinfo y flag - fts3.html#matchinfo-y
- max - lang_corefunc.html#maxoreunc
- max aggregate function - lang_aggfunc.html#maxggunc
- max SQL function - lang_corefunc.html#maxoreunc
- max_page_count - pragma.html#pragma_max_page_count
- max_page_count pragma - pragma.html#pragma_max_page_count
- maxAggFunc - lang_aggfunc.html#maxggunc
- maxCoreFunc - lang_corefunc.html#maxoreunc
- MC/DC - testing.html#mcdc
- MC/DC testing - testing.html#mcdc
- memory - inmemorydb.html
- memory allocation - malloc.html
- memory statistics - malloc.html#memstatus
- memory-mapped I/O - mmap.html
- memsys2 - malloc.html#memdebug
- memsys5 - malloc.html#memsys5
- merge command - fts3.html#*fts4mergecmd
- min - lang_corefunc.html#minoreunc
- min aggregate function - lang_aggfunc.html#minggunc
- min SQL function - lang_corefunc.html#minoreunc
- minAggFunc - lang_aggfunc.html#minggunc
- minCoreFunc - lang_corefunc.html#minoreunc
- mmap - mmap.html
- mmap_size - pragma.html#pragma_mmap_size
- mmap_size pragma - pragma.html#pragma_mmap_size
- mode query parameter - uri.html#urimode
- most widely deployed - mostdeployed.html
- NEAR queries - fts3.html#near
- Next Generation Query Planner - queryplanner-ng.html
- next generation query planner - queryplanner-ng.html
- NGQP - queryplanner-ng.html
- NOCASE - datatype3.html#collation
- NOCASE collating function - datatype3.html#collation
- nolock query parameter - uri.html#urinolock
- NOT EXISTS operator - lang_expr.html#in_op
- NOT IN operator - lang_expr.html#in_op
- NOT INDEXED - lang_indexedby.html
- NOT NULL - lang_createtable.html#notnullconst
- NOT NULL constraint - lang_createtable.html#notnullconst
- nullif - lang_corefunc.html#nullif
- nullif SQL function - lang_corefunc.html#nullif
- nullvalue method - tclsqlite.html#nullvalue
- numeric-literal - syntax/numeric-literal.html
- numeric-literal syntax diagram - syntax/numeric-literal.html
- object resolution - lang_naming.html
- OFFSET - lang_select.html#limitoffset
- offsets - fts3.html#offsets
- omitfeatures - compile.html#omitfeatures
- ON CONFLICT - lang_conflict.html
- ON CONFLICT clause - lang_conflict.html
- onecolumn method - tclsqlite.html#onecolumn
- opcodes - opcode.html
- OpenOffice case study - affcase1.html
- optimize command - fts3.html#*fts4optcmd
- optimizer - optoverview.html
- OR optimization - optoverview.html#or_opt
- or optimization - optoverview.html#or_opt
- or-connected-terms - queryplanner.html#or_in_where
- ORDER BY - lang_select.html#orderby
- order by - lang_select.html#orderby
- ordering-term - syntax/ordering-term.html
- ordering-term syntax diagram - syntax/ordering-term.html
- ordinary common table expressions - lang_with.html#ordinarycte
- OS backend - vfs.html
- overflow page - fileformat2.html#ovflpgs
- overflow pages - fileformat2.html#ovflpgs
- page cache - c3ref/pcache_methods2.html
- page_count - pragma.html#pragma_page_count
- page_count pragma - pragma.html#pragma_page_count
- page_size - pragma.html#pragma_page_size
- page_size pragma - pragma.html#pragma_page_size
- pagecache memory allocator - malloc.html#pagecache
- parameter - lang_expr.html#varparam
- parameter binding - c3ref/bind_blob.html
- parameters - lang_expr.html#varparam
- parent key - foreignkeys.html#parentchild
- parent table - foreignkeys.html#parentchild
- parser_trace - pragma.html#pragma_parser_trace
- parser_trace pragma - pragma.html#pragma_parser_trace
- partial index - partialindex.html
- partial indexes - partialindex.html
- partial indices - partialindex.html
- partial sorting by index - queryplanner.html#partialsort
- PENDING - lockingv3.html#pending_lock
- PENDING lock - lockingv3.html#pending_lock
- pending lock - lockingv3.html#pending_lock
- permuted index - sitemap.html#pindex
- phrase queries - fts3.html#phrase
- porting SQLite - custombuild.html
- powersafe overwrite - psow.html
- PRAGMA - pragma.html#syntax
- PRAGMA application_id - pragma.html#pragma_application_id
- PRAGMA auto_vacuum - pragma.html#pragma_auto_vacuum
- PRAGMA automatic_index - pragma.html#pragma_automatic_index
- PRAGMA busy_timeout - pragma.html#pragma_busy_timeout
- PRAGMA cache_size - pragma.html#pragma_cache_size
- PRAGMA cache_spill - pragma.html#pragma_cache_spill
- PRAGMA case_sensitive_like - pragma.html#pragma_case_sensitive_like
- PRAGMA cell_size_check - pragma.html#pragma_cell_size_check
- PRAGMA checkpoint_fullfsync - pragma.html#pragma_checkpoint_fullfsync
- PRAGMA collation_list - pragma.html#pragma_collation_list
- PRAGMA compile_options - pragma.html#pragma_compile_options
- PRAGMA count_changes - pragma.html#pragma_count_changes
- PRAGMA data_store_directory - pragma.html#pragma_data_store_directory
- PRAGMA data_version - pragma.html#pragma_data_version
- PRAGMA database_list - pragma.html#pragma_database_list
- PRAGMA default_cache_size - pragma.html#pragma_default_cache_size
- PRAGMA defer_foreign_keys - pragma.html#pragma_defer_foreign_keys
- PRAGMA empty_result_callbacks - pragma.html#pragma_empty_result_callbacks
- PRAGMA encoding - pragma.html#pragma_encoding
- PRAGMA foreign_key_check - pragma.html#pragma_foreign_key_check
- PRAGMA foreign_key_list - pragma.html#pragma_foreign_key_list
- PRAGMA foreign_keys - pragma.html#pragma_foreign_keys
- PRAGMA freelist_count - pragma.html#pragma_freelist_count
- PRAGMA full_column_names - pragma.html#pragma_full_column_names
- PRAGMA fullfsync - pragma.html#pragma_fullfsync
- PRAGMA ignore_check_constraints - pragma.html#pragma_ignore_check_constraints
- PRAGMA incremental_vacuum - pragma.html#pragma_incremental_vacuum
- PRAGMA index_info - pragma.html#pragma_index_info
- PRAGMA index_list - pragma.html#pragma_index_list
- PRAGMA index_xinfo - pragma.html#pragma_index_xinfo
- PRAGMA integrity_check - pragma.html#pragma_integrity_check
- PRAGMA journal_mode - pragma.html#pragma_journal_mode
- PRAGMA journal_size_limit - pragma.html#pragma_journal_size_limit
- PRAGMA legacy_file_format - pragma.html#pragma_legacy_file_format
- pragma list - pragma.html#toc
- PRAGMA locking_mode - pragma.html#pragma_locking_mode
- PRAGMA max_page_count - pragma.html#pragma_max_page_count
- PRAGMA mmap_size - pragma.html#pragma_mmap_size
- PRAGMA page_count - pragma.html#pragma_page_count
- PRAGMA page_size - pragma.html#pragma_page_size
- PRAGMA parser_trace - pragma.html#pragma_parser_trace
- PRAGMA query_only - pragma.html#pragma_query_only
- PRAGMA quick_check - pragma.html#pragma_quick_check
- PRAGMA read_uncommitted - pragma.html#pragma_read_uncommitted
- PRAGMA recursive_triggers - pragma.html#pragma_recursive_triggers
- PRAGMA reverse_unordered_selects - pragma.html#pragma_reverse_unordered_selects
- PRAGMA schema_version - pragma.html#pragma_schema_version
- PRAGMA secure_delete - pragma.html#pragma_secure_delete
- PRAGMA short_column_names - pragma.html#pragma_short_column_names
- PRAGMA shrink_memory - pragma.html#pragma_shrink_memory
- PRAGMA soft_heap_limit - pragma.html#pragma_soft_heap_limit
- PRAGMA stats - pragma.html#pragma_stats
- PRAGMA synchronous - pragma.html#pragma_synchronous
- PRAGMA table_info - pragma.html#pragma_table_info
- PRAGMA temp_store - pragma.html#pragma_temp_store
- PRAGMA temp_store_directory - pragma.html#pragma_temp_store_directory
- PRAGMA threads - pragma.html#pragma_threads
- PRAGMA user_version - pragma.html#pragma_schema_version
- PRAGMA vdbe_addoptrace - pragma.html#pragma_vdbe_addoptrace
- PRAGMA vdbe_debug - pragma.html#pragma_vdbe_debug
- PRAGMA vdbe_listing - pragma.html#pragma_vdbe_listing
- PRAGMA vdbe_trace - pragma.html#pragma_vdbe_trace
- PRAGMA wal_autocheckpoint - pragma.html#pragma_wal_autocheckpoint
- PRAGMA wal_checkpoint - pragma.html#pragma_wal_checkpoint
- PRAGMA writable_schema - pragma.html#pragma_writable_schema
- pragma-stmt - syntax/pragma-stmt.html
- pragma-stmt syntax diagram - syntax/pragma-stmt.html
- pragma-value - syntax/pragma-value.html
- pragma-value syntax diagram - syntax/pragma-value.html
- prefix queries - fts3.html#termprefix
- prefix query - fts3.html#termprefix
- prepared statement - c3ref/stmt.html
- prepared statements - c3ref/stmt.html
- PRIMARY KEY - lang_createtable.html#primkeyconst
- PRIMARY KEY constraint - lang_createtable.html#primkeyconst
- primary versus extended result codes - rescode.html#pve
- printf - lang_corefunc.html#printf
- printf SQL function - lang_corefunc.html#printf
- private branches - privatebranch.html
- professional support - support.html#prosupport
- profile method - tclsqlite.html#profile
- Programming Loadable Extensions - loadext.html#write
- progress method - tclsqlite.html#progress
- protected sqlite3_value - c3ref/value.html
- PSOW - psow.html
- psow query parameter - uri.html#uripsow
- qualified-table-name - syntax/qualified-table-name.html
- qualified-table-name syntax diagram - syntax/qualified-table-name.html
- query - lang_select.html
- query parameters with special meaning to SQLite - uri.html#coreqp
- query planner - optoverview.html
- query planner checklist - queryplanner-ng.html#howtofix
- query planner stability guarantee - queryplanner-ng.html#qpstab
- query_only - pragma.html#pragma_query_only
- query_only pragma - pragma.html#pragma_query_only
- Quick Start Guide - quickstart.html
- quick_check - pragma.html#pragma_quick_check
- quick_check pragma - pragma.html#pragma_quick_check
- quickstart - quickstart.html
- quote - lang_corefunc.html#quote
- quote SQL function - lang_corefunc.html#quote
- R-Tree extension - rtree.html
- R-Trees - rtree.html
- RAISE function - lang_createtrigger.html#raise
- raise-function - syntax/raise-function.html
- raise-function syntax diagram - syntax/raise-function.html
- random - lang_corefunc.html#random
- random SQL function - lang_corefunc.html#random
- randomblob - lang_corefunc.html#randomblob
- randomblob SQL function - lang_corefunc.html#randomblob
- range query optimization - optoverview.html#rangequery
- RBU - rbu.html
- RBU Database Contents - rbu.html#database_contents
- RBU Database Tables - rbu.html#database_tables
- RBU extension - rbu.html
- RBU FTS3/4 Tables - rbu.html#fts4_tables
- read-only WAL databases - wal.html#readonly
- read_uncommitted - pragma.html#pragma_read_uncommitted
- read_uncommitted pragma - pragma.html#pragma_read_uncommitted
- rebuild command - fts3.html#*fts4rebuidcmd
- record format - fileformat2.html#record_format
- recursive common table expressions - lang_with.html#recursivecte
- recursive query - lang_with.html#recursivecte
- recursive-cte - syntax/recursive-cte.html
- recursive-cte syntax diagram - syntax/recursive-cte.html
- recursive_triggers - pragma.html#pragma_recursive_triggers
- recursive_triggers pragma - pragma.html#pragma_recursive_triggers
- REGEXP - lang_expr.html#regexp
- REINDEX - lang_reindex.html
- reindex-stmt - syntax/reindex-stmt.html
- reindex-stmt syntax diagram - syntax/reindex-stmt.html
- RELEASE - lang_savepoint.html
- release history - changes.html
- release-stmt - syntax/release-stmt.html
- release-stmt syntax diagram - syntax/release-stmt.html
- relfootprint - footprint.html#relfootprint
- REPLACE - lang_replace.html
- replace - lang_corefunc.html#replace
- replace SQL function - lang_corefunc.html#replace
- requirements - requirements.html
- RESERVED - lockingv3.html#reserved_lock
- RESERVED lock - lockingv3.html#reserved_lock
- reserved lock - lockingv3.html#reserved_lock
- restore method - tclsqlite.html#restore
- result code - rescode.html
- result code definitions - c3ref/c_abort.html
- result codes - rescode.html
- result-column - syntax/result-column.html
- result-column syntax diagram - syntax/result-column.html
- result-set expressions - lang_select.html#resultset
- reverse_unordered_selects - pragma.html#pragma_reverse_unordered_selects
- reverse_unordered_selects pragma - pragma.html#pragma_reverse_unordered_selects
- Robson proof - malloc.html#nofrag
- ROLLBACK - lang_transaction.html
- rollback journal - lockingv3.html#rollback
- rollback journal format - fileformat2.html#rollbackjournal
- rollback-stmt - syntax/rollback-stmt.html
- rollback-stmt syntax diagram - syntax/rollback-stmt.html
- rollback_hook method - tclsqlite.html#rollback_hook
- round - lang_corefunc.html#round
- round SQL function - lang_corefunc.html#round
- ROWID - lang_createtable.html#rowid
- rowid - lang_createtable.html#rowid
- RTREE - rtree.html
- rtree - rtree.html
- RTRIM - datatype3.html#collation
- rtrim - lang_corefunc.html#rtrim
- RTRIM collating function - datatype3.html#collation
- rtrim SQL function - lang_corefunc.html#rtrim
- rules for determining column affinity - datatype3.html#affname
- Run-Time Loadable Extensions - loadext.html
- SAVEPOINT - lang_savepoint.html
- savepoint-stmt - syntax/savepoint-stmt.html
- savepoint-stmt syntax diagram - syntax/savepoint-stmt.html
- scanstatus options - c3ref/c_scanstat_est.html
- schema format - fileformat2.html#schemaformat
- schema format number - fileformat2.html#schemaformat
- schema_version - pragma.html#pragma_schema_version
- schema_version pragma - pragma.html#pragma_schema_version
- scratch memory allocator - malloc.html#scratch
- search application tips - fts3.html#appendix_a
- second edition file format document - fileformat2.html
- secure_delete - pragma.html#pragma_secure_delete
- secure_delete pragma - pragma.html#pragma_secure_delete
- segment btree - fts3.html#section_9
- SELECT - lang_select.html
- select-core - syntax/select-core.html
- select-core syntax diagram - syntax/select-core.html
- select-stmt - syntax/select-stmt.html
- select-stmt syntax diagram - syntax/select-stmt.html
- serial type - fileformat2.html#serialtype
- serial types - fileformat2.html#serialtype
- server-side database - whentouse.html#serversidedb
- session - session/intro.html
- Session Module C-API function list - session/funclist.html
- Session Module C-language Interface - session/intro.html
- session_funclist - session/funclist.html
- shadow tables - fts3.html#*shadowtab
- shadowtabs - fts3.html#section_9_1
- SHARED - lockingv3.html#shared_lock
- shared cache - sharedcache.html
- shared cache mode - sharedcache.html
- SHARED lock - lockingv3.html#shared_lock
- shared lock - lockingv3.html#shared_lock
- shims - vfs.html#shim
- short filenames - shortnames.html
- short_column_names - pragma.html#pragma_short_column_names
- short_column_names pragma - pragma.html#pragma_short_column_names
- shrink_memory - pragma.html#pragma_shrink_memory
- shrink_memory pragma - pragma.html#pragma_shrink_memory
- signed-number - syntax/signed-number.html
- signed-number syntax diagram - syntax/signed-number.html
- simple fts queries - fts3.html#section_1_4
- simple SELECT - lang_select.html#simpleselect
- simple-select-stmt - syntax/simple-select-stmt.html
- simple-select-stmt syntax diagram - syntax/simple-select-stmt.html
- skip-scan - optoverview.html#skipscan
- skip-scan optimization - optoverview.html#skipscan
- SLT - testing.html#slt
- snippet - fts3.html#snippet
- soft_heap_limit - pragma.html#pragma_soft_heap_limit
- soft_heap_limit pragma - pragma.html#pragma_soft_heap_limit
- solve Sudoku puzzles - lang_with.html#sudoku
- sorting - queryplanner.html#sorting
- sorting subsets of the result - optoverview.html#partsort
- soundex - lang_corefunc.html#soundex
- soundex SQL function - lang_corefunc.html#soundex
- spellfix1 - spellfix1.html
- split amalgamation - amalgamation.html#amal32k
- SQL fuzzing - testing.html#fuzztesting
- SQL keyword - lang_keywords.html
- SQL keywords - lang_keywords.html
- SQL Logic Tests - testing.html#slt
- SQL parameter - c3ref/bind_blob.html
- SQL parameters - c3ref/bind_blob.html
- SQL statement compiler - c3ref/prepare.html
- sql-stmt - syntax/sql-stmt.html
- sql-stmt syntax diagram - syntax/sql-stmt.html
- sql-stmt-list - syntax/sql-stmt-list.html
- sql-stmt-list syntax diagram - syntax/sql-stmt-list.html
- SQLAR smaller than ZIP - affcase1.html#smaller
- sqldiff - sqldiff.html
- sqldiff --rbu - rbu.html#sqldiff
- sqldiff.exe - sqldiff.html
- SQLite Consortium - consortium.html
- SQLite extension - loadext.html
- SQLite extensions - loadext.html
- SQLite Keywords - lang_keywords.html
- SQLite query planner - optoverview.html
- SQLite Shared-Cache Mode - sharedcache.html
- SQLite source code repositories - download.html#srctree
- sqlite3 - c3ref/sqlite3.html
- sqlite3_aggregate_context - c3ref/aggregate_context.html
- sqlite3_aggregate_count - c3ref/aggregate_count.html
- sqlite3_auto_extension - c3ref/auto_extension.html
- sqlite3_backup - c3ref/backup.html
- sqlite3_backup_finish - c3ref/backup_finish.html#sqlite3backupfinish
- sqlite3_backup_init - c3ref/backup_finish.html#sqlite3backupinit
- sqlite3_backup_pagecount - c3ref/backup_finish.html#sqlite3backuppagecount
- sqlite3_backup_remaining - c3ref/backup_finish.html#sqlite3backupremaining
- sqlite3_backup_step - c3ref/backup_finish.html#sqlite3backupstep
- sqlite3_bind_blob - c3ref/bind_blob.html
- sqlite3_bind_blob64 - c3ref/bind_blob.html
- sqlite3_bind_double - c3ref/bind_blob.html
- sqlite3_bind_int - c3ref/bind_blob.html
- sqlite3_bind_int64 - c3ref/bind_blob.html
- sqlite3_bind_null - c3ref/bind_blob.html
- sqlite3_bind_parameter_count - c3ref/bind_parameter_count.html
- sqlite3_bind_parameter_index - c3ref/bind_parameter_index.html
- sqlite3_bind_parameter_name - c3ref/bind_parameter_name.html
- sqlite3_bind_text - c3ref/bind_blob.html
- sqlite3_bind_text16 - c3ref/bind_blob.html
- sqlite3_bind_text64 - c3ref/bind_blob.html
- sqlite3_bind_value - c3ref/bind_blob.html
- sqlite3_bind_zeroblob - c3ref/bind_blob.html
- sqlite3_bind_zeroblob64 - c3ref/bind_blob.html
- sqlite3_blob - c3ref/blob.html
- sqlite3_blob_bytes - c3ref/blob_bytes.html
- sqlite3_blob_close - c3ref/blob_close.html
- sqlite3_blob_open - c3ref/blob_open.html
- sqlite3_blob_read - c3ref/blob_read.html
- sqlite3_blob_reopen - c3ref/blob_reopen.html
- sqlite3_blob_write - c3ref/blob_write.html
- sqlite3_busy_handler - c3ref/busy_handler.html
- sqlite3_busy_timeout - c3ref/busy_timeout.html
- sqlite3_cancel_auto_extension - c3ref/cancel_auto_extension.html
- sqlite3_changes - c3ref/changes.html
- sqlite3_clear_bindings - c3ref/clear_bindings.html
- sqlite3_close - c3ref/close.html
- sqlite3_close_v2 - c3ref/close.html
- sqlite3_collation_needed - c3ref/collation_needed.html
- sqlite3_collation_needed16 - c3ref/collation_needed.html
- sqlite3_column_blob - c3ref/column_blob.html
- sqlite3_column_bytes - c3ref/column_blob.html
- sqlite3_column_bytes16 - c3ref/column_blob.html
- sqlite3_column_count - c3ref/column_count.html
- sqlite3_column_database_name - c3ref/column_database_name.html
- sqlite3_column_database_name16 - c3ref/column_database_name.html
- sqlite3_column_decltype - c3ref/column_decltype.html
- sqlite3_column_decltype16 - c3ref/column_decltype.html
- sqlite3_column_double - c3ref/column_blob.html
- sqlite3_column_int - c3ref/column_blob.html
- sqlite3_column_int64 - c3ref/column_blob.html
- sqlite3_column_name - c3ref/column_name.html
- sqlite3_column_name16 - c3ref/column_name.html
- sqlite3_column_origin_name - c3ref/column_database_name.html
- sqlite3_column_origin_name16 - c3ref/column_database_name.html
- sqlite3_column_table_name - c3ref/column_database_name.html
- sqlite3_column_table_name16 - c3ref/column_database_name.html
- sqlite3_column_text - c3ref/column_blob.html
- sqlite3_column_text16 - c3ref/column_blob.html
- sqlite3_column_type - c3ref/column_blob.html
- sqlite3_column_value - c3ref/column_blob.html
- sqlite3_commit_hook - c3ref/commit_hook.html
- sqlite3_compileoption_get - c3ref/compileoption_get.html
- sqlite3_compileoption_used - c3ref/compileoption_get.html
- sqlite3_complete - c3ref/complete.html
- sqlite3_complete16 - c3ref/complete.html
- sqlite3_config - c3ref/config.html
- sqlite3_context - c3ref/context.html
- sqlite3_context_db_handle - c3ref/context_db_handle.html
- sqlite3_create_collation - c3ref/create_collation.html
- sqlite3_create_collation16 - c3ref/create_collation.html
- sqlite3_create_collation_v2 - c3ref/create_collation.html
- sqlite3_create_function - c3ref/create_function.html
- sqlite3_create_function16 - c3ref/create_function.html
- sqlite3_create_function_v2 - c3ref/create_function.html
- sqlite3_create_module - c3ref/create_module.html
- sqlite3_create_module_v2 - c3ref/create_module.html
- sqlite3_data_count - c3ref/data_count.html
- sqlite3_data_directory - c3ref/data_directory.html
- sqlite3_db_config - c3ref/db_config.html
- sqlite3_db_filename - c3ref/db_filename.html
- sqlite3_db_handle - c3ref/db_handle.html
- sqlite3_db_mutex - c3ref/db_mutex.html
- sqlite3_db_readonly - c3ref/db_readonly.html
- sqlite3_db_release_memory - c3ref/db_release_memory.html
- sqlite3_db_status - c3ref/db_status.html
- sqlite3_declare_vtab - c3ref/declare_vtab.html
- sqlite3_enable_load_extension - c3ref/enable_load_extension.html
- sqlite3_enable_shared_cache - c3ref/enable_shared_cache.html
- sqlite3_errcode - c3ref/errcode.html
- sqlite3_errmsg - c3ref/errcode.html
- sqlite3_errmsg16 - c3ref/errcode.html
- sqlite3_errstr - c3ref/errcode.html
- sqlite3_exec - c3ref/exec.html
- sqlite3_expired - c3ref/aggregate_count.html
- sqlite3_extended_errcode - c3ref/errcode.html
- sqlite3_extended_result_codes - c3ref/extended_result_codes.html
- sqlite3_file - c3ref/file.html
- sqlite3_file_control - c3ref/file_control.html
- sqlite3_finalize - c3ref/finalize.html
- sqlite3_free - c3ref/free.html
- sqlite3_free_table - c3ref/free_table.html
- sqlite3_get_autocommit - c3ref/get_autocommit.html
- sqlite3_get_auxdata - c3ref/get_auxdata.html
- sqlite3_get_table - c3ref/free_table.html
- sqlite3_global_recover - c3ref/aggregate_count.html
- sqlite3_index_info - c3ref/index_info.html
- sqlite3_initialize - c3ref/initialize.html
- sqlite3_int64 - c3ref/int64.html
- sqlite3_interrupt - c3ref/interrupt.html
- sqlite3_io_methods - c3ref/io_methods.html
- sqlite3_last_insert_rowid - c3ref/last_insert_rowid.html
- sqlite3_libversion - c3ref/libversion.html
- sqlite3_libversion_number - c3ref/libversion.html
- sqlite3_limit - c3ref/limit.html
- sqlite3_load_extension - c3ref/load_extension.html
- sqlite3_log - c3ref/log.html
- sqlite3_malloc - c3ref/free.html
- sqlite3_malloc64 - c3ref/free.html
- sqlite3_mem_methods - c3ref/mem_methods.html
- sqlite3_memory_alarm - c3ref/aggregate_count.html
- sqlite3_memory_highwater - c3ref/memory_highwater.html
- sqlite3_memory_used - c3ref/memory_highwater.html
- sqlite3_module - c3ref/module.html
- sqlite3_module.xBegin - vtab.html#xBegin
- sqlite3_module.xBestIndex - vtab.html#xbestindex
- sqlite3_module.xClose - vtab.html#xclose
- sqlite3_module.xColumn - vtab.html#xcolumn
- sqlite3_module.xCommit - vtab.html#xcommit
- sqlite3_module.xConnect - vtab.html#xconnect
- sqlite3_module.xCreate - vtab.html#xcreate
- sqlite3_module.xDisconnect - vtab.html#xdisconnect
- sqlite3_module.xEof - vtab.html#xeof
- sqlite3_module.xFilter - vtab.html#xfilter
- sqlite3_module.xFindFunction - vtab.html#xfindfunction
- sqlite3_module.xNext - vtab.html#xnext
- sqlite3_module.xOpen - vtab.html#xopen
- sqlite3_module.xRename - vtab.html#xrename
- sqlite3_module.xRollback - vtab.html#xrollback
- sqlite3_module.xRowid - vtab.html#xrowid
- sqlite3_module.xSavepoint - vtab.html#xsavepoint
- sqlite3_module.xSync - vtab.html#xsync
- sqlite3_module.xUpdate - vtab.html#xupdate
- sqlite3_mprintf - c3ref/mprintf.html
- sqlite3_msize - c3ref/free.html
- sqlite3_mutex - c3ref/mutex.html
- sqlite3_mutex_alloc - c3ref/mutex_alloc.html
- sqlite3_mutex_enter - c3ref/mutex_alloc.html
- sqlite3_mutex_free - c3ref/mutex_alloc.html
- sqlite3_mutex_held - c3ref/mutex_held.html
- sqlite3_mutex_leave - c3ref/mutex_alloc.html
- sqlite3_mutex_methods - c3ref/mutex_methods.html
- sqlite3_mutex_notheld - c3ref/mutex_held.html
- sqlite3_mutex_try - c3ref/mutex_alloc.html
- sqlite3_next_stmt - c3ref/next_stmt.html
- sqlite3_open - c3ref/open.html
- sqlite3_open16 - c3ref/open.html
- sqlite3_open_v2 - c3ref/open.html
- sqlite3_os_end - c3ref/initialize.html
- sqlite3_os_init - c3ref/initialize.html
- sqlite3_overload_function - c3ref/overload_function.html
- sqlite3_pcache - c3ref/pcache.html
- sqlite3_pcache_methods2 - c3ref/pcache_methods2.html
- sqlite3_pcache_page - c3ref/pcache_page.html
- sqlite3_prepare - c3ref/prepare.html
- sqlite3_prepare16 - c3ref/prepare.html
- sqlite3_prepare16_v2 - c3ref/prepare.html
- sqlite3_prepare_v2 - c3ref/prepare.html
- sqlite3_profile - c3ref/profile.html
- sqlite3_progress_handler - c3ref/progress_handler.html
- sqlite3_randomness - c3ref/randomness.html
- sqlite3_realloc - c3ref/free.html
- sqlite3_realloc64 - c3ref/free.html
- sqlite3_release_memory - c3ref/release_memory.html
- sqlite3_reset - c3ref/reset.html
- sqlite3_reset_auto_extension - c3ref/reset_auto_extension.html
- sqlite3_result_blob - c3ref/result_blob.html
- sqlite3_result_blob64 - c3ref/result_blob.html
- sqlite3_result_double - c3ref/result_blob.html
- sqlite3_result_error - c3ref/result_blob.html
- sqlite3_result_error16 - c3ref/result_blob.html
- sqlite3_result_error_code - c3ref/result_blob.html
- sqlite3_result_error_nomem - c3ref/result_blob.html
- sqlite3_result_error_toobig - c3ref/result_blob.html
- sqlite3_result_int - c3ref/result_blob.html
- sqlite3_result_int64 - c3ref/result_blob.html
- sqlite3_result_null - c3ref/result_blob.html
- sqlite3_result_subtype - c3ref/result_subtype.html
- sqlite3_result_text - c3ref/result_blob.html
- sqlite3_result_text16 - c3ref/result_blob.html
- sqlite3_result_text16be - c3ref/result_blob.html
- sqlite3_result_text16le - c3ref/result_blob.html
- sqlite3_result_text64 - c3ref/result_blob.html
- sqlite3_result_value - c3ref/result_blob.html
- sqlite3_result_zeroblob - c3ref/result_blob.html
- sqlite3_result_zeroblob64 - c3ref/result_blob.html
- sqlite3_rollback_hook - c3ref/commit_hook.html
- sqlite3_rtree_query_callback - rtree.html#xquery
- sqlite3_set_authorizer - c3ref/set_authorizer.html
- sqlite3_set_auxdata - c3ref/get_auxdata.html
- sqlite3_shutdown - c3ref/initialize.html
- sqlite3_sleep - c3ref/sleep.html
- sqlite3_snprintf - c3ref/mprintf.html
- sqlite3_soft_heap_limit - c3ref/soft_heap_limit.html
- sqlite3_soft_heap_limit64 - c3ref/soft_heap_limit64.html
- sqlite3_sourceid - c3ref/libversion.html
- sqlite3_sql - c3ref/sql.html
- sqlite3_status - c3ref/status.html
- sqlite3_status64 - c3ref/status.html
- sqlite3_step - c3ref/step.html
- sqlite3_stmt - c3ref/stmt.html
- sqlite3_stmt_busy - c3ref/stmt_busy.html
- sqlite3_stmt_readonly - c3ref/stmt_readonly.html
- sqlite3_stmt_scanstatus - c3ref/stmt_scanstatus.html
- sqlite3_stmt_scanstatus_reset - c3ref/stmt_scanstatus_reset.html
- sqlite3_stmt_status - c3ref/stmt_status.html
- sqlite3_strglob - c3ref/strglob.html
- sqlite3_stricmp - c3ref/stricmp.html
- sqlite3_strnicmp - c3ref/stricmp.html
- sqlite3_table_column_metadata - c3ref/table_column_metadata.html
- sqlite3_temp_directory - c3ref/temp_directory.html
- sqlite3_test_control - c3ref/test_control.html
- sqlite3_thread_cleanup - c3ref/aggregate_count.html
- sqlite3_threadsafe - c3ref/threadsafe.html
- sqlite3_total_changes - c3ref/total_changes.html
- sqlite3_trace - c3ref/profile.html
- sqlite3_transfer_bindings - c3ref/aggregate_count.html
- sqlite3_uint64 - c3ref/int64.html
- sqlite3_unlock_notify - c3ref/unlock_notify.html
- sqlite3_update_hook - c3ref/update_hook.html
- sqlite3_uri_boolean - c3ref/uri_boolean.html
- sqlite3_uri_int64 - c3ref/uri_boolean.html
- sqlite3_uri_parameter - c3ref/uri_boolean.html
- sqlite3_user_data - c3ref/user_data.html
- sqlite3_value - c3ref/value.html
- sqlite3_value_blob - c3ref/value_blob.html
- sqlite3_value_bytes - c3ref/value_blob.html
- sqlite3_value_bytes16 - c3ref/value_blob.html
- sqlite3_value_double - c3ref/value_blob.html
- sqlite3_value_dup - c3ref/value_dup.html
- sqlite3_value_free - c3ref/value_dup.html
- sqlite3_value_int - c3ref/value_blob.html
- sqlite3_value_int64 - c3ref/value_blob.html
- sqlite3_value_numeric_type - c3ref/value_blob.html
- sqlite3_value_subtype - c3ref/value_subtype.html
- sqlite3_value_text - c3ref/value_blob.html
- sqlite3_value_text16 - c3ref/value_blob.html
- sqlite3_value_text16be - c3ref/value_blob.html
- sqlite3_value_text16le - c3ref/value_blob.html
- sqlite3_value_type - c3ref/value_blob.html
- sqlite3_version - c3ref/libversion.html
- sqlite3_vfs - c3ref/vfs.html
- sqlite3_vfs.xAccess - c3ref/vfs.html#sqlite3vfsxaccess
- sqlite3_vfs.xOpen - c3ref/vfs.html#sqlite3vfsxopen
- sqlite3_vfs_find - c3ref/vfs_find.html
- sqlite3_vfs_register - c3ref/vfs_find.html
- sqlite3_vfs_unregister - c3ref/vfs_find.html
- sqlite3_vmprintf - c3ref/mprintf.html
- sqlite3_vsnprintf - c3ref/mprintf.html
- sqlite3_vtab - c3ref/vtab.html
- sqlite3_vtab_config - c3ref/vtab_config.html
- sqlite3_vtab_cursor - c3ref/vtab_cursor.html
- sqlite3_vtab_on_conflict - c3ref/vtab_on_conflict.html
- sqlite3_wal_autocheckpoint - c3ref/wal_autocheckpoint.html
- sqlite3_wal_checkpoint - c3ref/wal_checkpoint.html
- sqlite3_wal_checkpoint_v2 - c3ref/wal_checkpoint_v2.html
- sqlite3_wal_hook - c3ref/wal_hook.html
- SQLITE_4_BYTE_ALIGNED_MALLOC - compile.html#4_byte_aligned_malloc
- SQLITE_ABORT - rescode.html#abort
- SQLITE_ABORT_ROLLBACK - rescode.html#abort_rollback
- SQLITE_ACCESS_EXISTS - c3ref/c_access_exists.html
- SQLITE_ACCESS_READ - c3ref/c_access_exists.html
- SQLITE_ACCESS_READWRITE - c3ref/c_access_exists.html
- SQLITE_ALLOW_COVERING_INDEX_SCAN - compile.html#allow_covering_index_scan
- SQLITE_ALLOW_URI_AUTHORITY - compile.html#allow_uri_authority
- SQLITE_ALTER_TABLE - c3ref/c_alter_table.html
- SQLITE_ANALYZE - c3ref/c_alter_table.html
- SQLITE_ANY - c3ref/c_any.html
- SQLITE_ATTACH - c3ref/c_alter_table.html
- SQLITE_AUTH - rescode.html#auth
- SQLITE_AUTH_USER - c3ref/c_abort_rollback.html
- SQLITE_BLOB - c3ref/c_blob.html
- SQLITE_BUSY - rescode.html#busy
- SQLITE_BUSY_RECOVERY - rescode.html#busy_recovery
- SQLITE_BUSY_SNAPSHOT - rescode.html#busy_snapshot
- SQLITE_CANTOPEN - rescode.html#cantopen
- SQLITE_CANTOPEN_CONVPATH - rescode.html#cantopen_convpath
- SQLITE_CANTOPEN_FULLPATH - rescode.html#cantopen_fullpath
- SQLITE_CANTOPEN_ISDIR - rescode.html#cantopen_isdir
- SQLITE_CANTOPEN_NOTEMPDIR - rescode.html#cantopen_notempdir
- SQLITE_CASE_SENSITIVE_LIKE - compile.html#case_sensitive_like
- SQLITE_CHECKPOINT_FULL - c3ref/c_checkpoint_full.html
- SQLITE_CHECKPOINT_PASSIVE - c3ref/c_checkpoint_full.html
- SQLITE_CHECKPOINT_RESTART - c3ref/c_checkpoint_full.html
- SQLITE_CHECKPOINT_TRUNCATE - c3ref/c_checkpoint_full.html
- sqlite_compileoption_get - lang_corefunc.html#sqlite_compileoption_get
- sqlite_compileoption_get SQL function - lang_corefunc.html#sqlite_compileoption_get
- sqlite_compileoption_used - lang_corefunc.html#sqlite_compileoption_used
- sqlite_compileoption_used SQL function - lang_corefunc.html#sqlite_compileoption_used
- SQLITE_CONFIG_COVERING_INDEX_SCAN - c3ref/c_config_covering_index_scan.html#sqliteconfigcoveringindexscan
- SQLITE_CONFIG_GETMALLOC - c3ref/c_config_covering_index_scan.html#sqliteconfiggetmalloc
- SQLITE_CONFIG_GETMUTEX - c3ref/c_config_covering_index_scan.html#sqliteconfiggetmutex
- SQLITE_CONFIG_GETPCACHE - c3ref/c_config_covering_index_scan.html#sqliteconfiggetpcache
- SQLITE_CONFIG_GETPCACHE2 - c3ref/c_config_covering_index_scan.html#sqliteconfiggetpcache2
- SQLITE_CONFIG_HEAP - c3ref/c_config_covering_index_scan.html#sqliteconfigheap
- SQLITE_CONFIG_LOG - c3ref/c_config_covering_index_scan.html#sqliteconfiglog
- SQLITE_CONFIG_LOOKASIDE - c3ref/c_config_covering_index_scan.html#sqliteconfiglookaside
- SQLITE_CONFIG_MALLOC - c3ref/c_config_covering_index_scan.html#sqliteconfigmalloc
- SQLITE_CONFIG_MEMSTATUS - c3ref/c_config_covering_index_scan.html#sqliteconfigmemstatus
- SQLITE_CONFIG_MMAP_SIZE - c3ref/c_config_covering_index_scan.html#sqliteconfigmmapsize
- SQLITE_CONFIG_MULTITHREAD - c3ref/c_config_covering_index_scan.html#sqliteconfigmultithread
- SQLITE_CONFIG_MUTEX - c3ref/c_config_covering_index_scan.html#sqliteconfigmutex
- SQLITE_CONFIG_PAGECACHE - c3ref/c_config_covering_index_scan.html#sqliteconfigpagecache
- SQLITE_CONFIG_PCACHE - c3ref/c_config_covering_index_scan.html#sqliteconfigpcache
- SQLITE_CONFIG_PCACHE2 - c3ref/c_config_covering_index_scan.html#sqliteconfigpcache2
- SQLITE_CONFIG_PCACHE_HDRSZ - c3ref/c_config_covering_index_scan.html#sqliteconfigpcachehdrsz
- SQLITE_CONFIG_PMASZ - c3ref/c_config_covering_index_scan.html#sqliteconfigpmasz
- SQLITE_CONFIG_SCRATCH - c3ref/c_config_covering_index_scan.html#sqliteconfigscratch
- SQLITE_CONFIG_SERIALIZED - c3ref/c_config_covering_index_scan.html#sqliteconfigserialized
- SQLITE_CONFIG_SINGLETHREAD - c3ref/c_config_covering_index_scan.html#sqliteconfigsinglethread
- SQLITE_CONFIG_SQLLOG - c3ref/c_config_covering_index_scan.html#sqliteconfigsqllog
- SQLITE_CONFIG_URI - c3ref/c_config_covering_index_scan.html#sqliteconfiguri
- SQLITE_CONFIG_WIN32_HEAPSIZE - c3ref/c_config_covering_index_scan.html#sqliteconfigwin32heapsize
- SQLITE_CONSTRAINT - rescode.html#constraint
- SQLITE_CONSTRAINT_CHECK - rescode.html#constraint_check
- SQLITE_CONSTRAINT_COMMITHOOK - rescode.html#constraint_commithook
- SQLITE_CONSTRAINT_FOREIGNKEY - rescode.html#constraint_foreignkey
- SQLITE_CONSTRAINT_FUNCTION - rescode.html#constraint_function
- SQLITE_CONSTRAINT_NOTNULL - rescode.html#constraint_notnull
- SQLITE_CONSTRAINT_PRIMARYKEY - rescode.html#constraint_primarykey
- SQLITE_CONSTRAINT_ROWID - rescode.html#constraint_rowid
- SQLITE_CONSTRAINT_TRIGGER - rescode.html#constraint_trigger
- SQLITE_CONSTRAINT_UNIQUE - rescode.html#constraint_unique
- SQLITE_CONSTRAINT_VTAB - rescode.html#constraint_vtab
- SQLITE_COPY - c3ref/c_alter_table.html
- SQLITE_CORRUPT - rescode.html#corrupt
- SQLITE_CORRUPT_VTAB - rescode.html#corrupt_vtab
- SQLITE_CREATE_INDEX - c3ref/c_alter_table.html
- SQLITE_CREATE_TABLE - c3ref/c_alter_table.html
- SQLITE_CREATE_TEMP_INDEX - c3ref/c_alter_table.html
- SQLITE_CREATE_TEMP_TABLE - c3ref/c_alter_table.html
- SQLITE_CREATE_TEMP_TRIGGER - c3ref/c_alter_table.html
- SQLITE_CREATE_TEMP_VIEW - c3ref/c_alter_table.html
- SQLITE_CREATE_TRIGGER - c3ref/c_alter_table.html
- SQLITE_CREATE_VIEW - c3ref/c_alter_table.html
- SQLITE_CREATE_VTABLE - c3ref/c_alter_table.html
- SQLITE_DBCONFIG_ENABLE_FKEY - c3ref/c_dbconfig_enable_fkey.html
- SQLITE_DBCONFIG_ENABLE_TRIGGER - c3ref/c_dbconfig_enable_fkey.html
- SQLITE_DBCONFIG_LOOKASIDE - c3ref/c_dbconfig_enable_fkey.html
- SQLITE_DBSTATUS options - c3ref/c_dbstatus_options.html
- SQLITE_DBSTATUS_CACHE_HIT - c3ref/c_dbstatus_options.html#sqlitedbstatuscachehit
- SQLITE_DBSTATUS_CACHE_MISS - c3ref/c_dbstatus_options.html#sqlitedbstatuscachemiss
- SQLITE_DBSTATUS_CACHE_USED - c3ref/c_dbstatus_options.html#sqlitedbstatuscacheused
- SQLITE_DBSTATUS_CACHE_WRITE - c3ref/c_dbstatus_options.html#sqlitedbstatuscachewrite
- SQLITE_DBSTATUS_DEFERRED_FKS - c3ref/c_dbstatus_options.html#sqlitedbstatusdeferredfks
- SQLITE_DBSTATUS_LOOKASIDE_HIT - c3ref/c_dbstatus_options.html#sqlitedbstatuslookasidehit
- SQLITE_DBSTATUS_LOOKASIDE_MISS_FULL - c3ref/c_dbstatus_options.html#sqlitedbstatuslookasidemissfull
- SQLITE_DBSTATUS_LOOKASIDE_MISS_SIZE - c3ref/c_dbstatus_options.html#sqlitedbstatuslookasidemisssize
- SQLITE_DBSTATUS_LOOKASIDE_USED - c3ref/c_dbstatus_options.html#sqlitedbstatuslookasideused
- SQLITE_DBSTATUS_MAX - c3ref/c_dbstatus_options.html
- SQLITE_DBSTATUS_SCHEMA_USED - c3ref/c_dbstatus_options.html#sqlitedbstatusschemaused
- SQLITE_DBSTATUS_STMT_USED - c3ref/c_dbstatus_options.html#sqlitedbstatusstmtused
- SQLITE_DEBUG - compile.html#debug
- SQLITE_DEFAULT_AUTOMATIC_INDEX - compile.html#default_automatic_index
- SQLITE_DEFAULT_AUTOVACUUM - compile.html#default_autovacuum
- SQLITE_DEFAULT_CACHE_SIZE - compile.html#default_cache_size
- SQLITE_DEFAULT_FILE_FORMAT - compile.html#default_file_format
- SQLITE_DEFAULT_FILE_PERMISSIONS - compile.html#default_file_permissions
- SQLITE_DEFAULT_FOREIGN_KEYS - compile.html#default_foreign_keys
- SQLITE_DEFAULT_JOURNAL_SIZE_LIMIT - compile.html#default_journal_size_limit
- SQLITE_DEFAULT_LOCKING_MODE - compile.html#default_locking_mode
- SQLITE_DEFAULT_MEMSTATUS - compile.html#default_memstatus
- SQLITE_DEFAULT_MMAP_SIZE - compile.html#default_mmap_size
- SQLITE_DEFAULT_PAGE_SIZE - compile.html#default_page_size
- SQLITE_DEFAULT_WAL_AUTOCHECKPOINT - compile.html#default_wal_autocheckpoint
- SQLITE_DEFAULT_WORKER_THREADS - compile.html#default_worker_threads
- SQLITE_DELETE - c3ref/c_alter_table.html
- SQLITE_DENY - c3ref/c_deny.html
- SQLITE_DETACH - c3ref/c_alter_table.html
- SQLITE_DETERMINISTIC - c3ref/c_deterministic.html
- SQLITE_DIRECT_OVERFLOW_READ - compile.html#direct_overflow_read
- SQLITE_DISABLE_DIRSYNC - compile.html#disable_dirsync
- SQLITE_DISABLE_FTS3_UNICODE - compile.html#disable_fts3_unicode
- SQLITE_DISABLE_FTS4_DEFERRED - compile.html#disable_fts4_deferred
- SQLITE_DISABLE_LFS - compile.html#disable_lfs
- SQLITE_DONE - rescode.html#done
- SQLITE_DROP_INDEX - c3ref/c_alter_table.html
- SQLITE_DROP_TABLE - c3ref/c_alter_table.html
- SQLITE_DROP_TEMP_INDEX - c3ref/c_alter_table.html
- SQLITE_DROP_TEMP_TABLE - c3ref/c_alter_table.html
- SQLITE_DROP_TEMP_TRIGGER - c3ref/c_alter_table.html
- SQLITE_DROP_TEMP_VIEW - c3ref/c_alter_table.html
- SQLITE_DROP_TRIGGER - c3ref/c_alter_table.html
- SQLITE_DROP_VIEW - c3ref/c_alter_table.html
- SQLITE_DROP_VTABLE - c3ref/c_alter_table.html
- SQLITE_EMPTY - rescode.html#empty
- SQLITE_ENABLE_8_3_NAMES - compile.html#enable_8_3_names
- SQLITE_ENABLE_API_ARMOR - compile.html#enable_api_armor
- SQLITE_ENABLE_ATOMIC_WRITE - compile.html#enable_atomic_write
- SQLITE_ENABLE_COLUMN_METADATA - compile.html#enable_column_metadata
- SQLITE_ENABLE_DBSTAT_VTAB - compile.html#enable_dbstat_vtab
- SQLITE_ENABLE_EXPLAIN_COMMENTS - compile.html#enable_explain_comments
- SQLITE_ENABLE_FTS3 - compile.html#enable_fts3
- SQLITE_ENABLE_FTS3_PARENTHESIS - compile.html#enable_fts3_parenthesis
- SQLITE_ENABLE_FTS4 - compile.html#enable_fts4
- SQLITE_ENABLE_FTS5 - compile.html#enable_fts5
- SQLITE_ENABLE_ICU - compile.html#enable_icu
- SQLITE_ENABLE_IOTRACE - compile.html#enable_iotrace
- SQLITE_ENABLE_JSON1 - compile.html#enable_json1
- SQLITE_ENABLE_LOCKING_STYLE - compile.html#enable_locking_style
- SQLITE_ENABLE_MEMORY_MANAGEMENT - compile.html#enable_memory_management
- SQLITE_ENABLE_MEMSYS3 - compile.html#enable_memsys3
- SQLITE_ENABLE_MEMSYS5 - compile.html#enable_memsys5
- SQLITE_ENABLE_RBU - compile.html#enable_rbu
- SQLITE_ENABLE_RTREE - compile.html#enable_rtree
- SQLITE_ENABLE_SQLLOG - compile.html#enable_sqllog
- SQLITE_ENABLE_STAT2 - compile.html#enable_stat2
- SQLITE_ENABLE_STAT3 - compile.html#enable_stat3
- SQLITE_ENABLE_STAT4 - compile.html#enable_stat4
- SQLITE_ENABLE_STMT_SCANSTATUS - compile.html#enable_stmt_scanstatus
- SQLITE_ENABLE_TREE_EXPLAIN - compile.html#enable_tree_explain
- SQLITE_ENABLE_UNLOCK_NOTIFY - compile.html#enable_unlock_notify
- SQLITE_ENABLE_UPDATE_DELETE_LIMIT - compile.html#enable_update_delete_limit
- SQLITE_ERROR - rescode.html#error
- SQLITE_FAIL - c3ref/c_fail.html
- SQLITE_FCNTL_BUSYHANDLER - c3ref/c_fcntl_busyhandler.html#sqlitefcntlbusyhandler
- SQLITE_FCNTL_CHUNK_SIZE - c3ref/c_fcntl_busyhandler.html#sqlitefcntlchunksize
- SQLITE_FCNTL_COMMIT_PHASETWO - c3ref/c_fcntl_busyhandler.html#sqlitefcntlcommitphasetwo
- SQLITE_FCNTL_FILE_POINTER - c3ref/c_fcntl_busyhandler.html#sqlitefcntlfilepointer
- SQLITE_FCNTL_GET_LOCKPROXYFILE - c3ref/c_fcntl_busyhandler.html
- SQLITE_FCNTL_HAS_MOVED - c3ref/c_fcntl_busyhandler.html#sqlitefcntlhasmoved
- SQLITE_FCNTL_LAST_ERRNO - c3ref/c_fcntl_busyhandler.html
- SQLITE_FCNTL_LOCKSTATE - c3ref/c_fcntl_busyhandler.html#sqlitefcntllockstate
- SQLITE_FCNTL_MMAP_SIZE - c3ref/c_fcntl_busyhandler.html#sqlitefcntlmmapsize
- SQLITE_FCNTL_OVERWRITE - c3ref/c_fcntl_busyhandler.html#sqlitefcntloverwrite
- SQLITE_FCNTL_PERSIST_WAL - c3ref/c_fcntl_busyhandler.html#sqlitefcntlpersistwal
- SQLITE_FCNTL_POWERSAFE_OVERWRITE - c3ref/c_fcntl_busyhandler.html#sqlitefcntlpowersafeoverwrite
- SQLITE_FCNTL_PRAGMA - c3ref/c_fcntl_busyhandler.html#sqlitefcntlpragma
- SQLITE_FCNTL_RBU - c3ref/c_fcntl_busyhandler.html#sqlitefcntlrbu
- SQLITE_FCNTL_SET_LOCKPROXYFILE - c3ref/c_fcntl_busyhandler.html
- SQLITE_FCNTL_SIZE_HINT - c3ref/c_fcntl_busyhandler.html#sqlitefcntlsizehint
- SQLITE_FCNTL_SYNC - c3ref/c_fcntl_busyhandler.html#sqlitefcntlsync
- SQLITE_FCNTL_SYNC_OMITTED - c3ref/c_fcntl_busyhandler.html#sqlitefcntlsyncomitted
- SQLITE_FCNTL_TEMPFILENAME - c3ref/c_fcntl_busyhandler.html#sqlitefcntltempfilename
- SQLITE_FCNTL_TRACE - c3ref/c_fcntl_busyhandler.html#sqlitefcntltrace
- SQLITE_FCNTL_VFSNAME - c3ref/c_fcntl_busyhandler.html#sqlitefcntlvfsname
- SQLITE_FCNTL_WAL_BLOCK - c3ref/c_fcntl_busyhandler.html#sqlitefcntlwalblock
- SQLITE_FCNTL_WIN32_AV_RETRY - c3ref/c_fcntl_busyhandler.html#sqlitefcntlwin32avretry
- SQLITE_FCNTL_WIN32_SET_HANDLE - c3ref/c_fcntl_busyhandler.html#sqlitefcntlwin32sethandle
- SQLITE_FCNTL_ZIPVFS - c3ref/c_fcntl_busyhandler.html#sqlitefcntlzipvfs
- SQLITE_FLOAT - c3ref/c_blob.html
- SQLITE_FORMAT - rescode.html#format
- SQLITE_FTS3_MAX_EXPR_DEPTH - compile.html#fts3_max_expr_depth
- SQLITE_FULL - rescode.html#full
- SQLITE_FUNCTION - c3ref/c_alter_table.html
- SQLITE_HAVE_ISNAN - compile.html#have_isnan
- SQLITE_IGNORE - c3ref/c_deny.html
- SQLITE_INDEX_CONSTRAINT_EQ - c3ref/c_index_constraint_eq.html
- SQLITE_INDEX_CONSTRAINT_GE - c3ref/c_index_constraint_eq.html
- SQLITE_INDEX_CONSTRAINT_GT - c3ref/c_index_constraint_eq.html
- SQLITE_INDEX_CONSTRAINT_LE - c3ref/c_index_constraint_eq.html
- SQLITE_INDEX_CONSTRAINT_LT - c3ref/c_index_constraint_eq.html
- SQLITE_INDEX_CONSTRAINT_MATCH - c3ref/c_index_constraint_eq.html
- SQLITE_INDEX_SCAN_UNIQUE - c3ref/c_index_scan_unique.html
- SQLITE_INSERT - c3ref/c_alter_table.html
- sqlite_int64 - c3ref/int64.html
- SQLITE_INTEGER - c3ref/c_blob.html
- SQLITE_INTERNAL - rescode.html#internal
- SQLITE_INTERRUPT - rescode.html#interrupt
- SQLITE_IOCAP_ATOMIC - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_ATOMIC1K - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_ATOMIC2K - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_ATOMIC4K - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_ATOMIC8K - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_ATOMIC16K - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_ATOMIC32K - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_ATOMIC64K - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_ATOMIC512 - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_IMMUTABLE - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_POWERSAFE_OVERWRITE - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_SAFE_APPEND - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_SEQUENTIAL - c3ref/c_iocap_atomic.html
- SQLITE_IOCAP_UNDELETABLE_WHEN_OPEN - c3ref/c_iocap_atomic.html
- SQLITE_IOERR - rescode.html#ioerr
- SQLITE_IOERR_ACCESS - rescode.html#ioerr_access
- SQLITE_IOERR_BLOCKED - rescode.html#ioerr_blocked
- SQLITE_IOERR_CHECKRESERVEDLOCK - rescode.html#ioerr_checkreservedlock
- SQLITE_IOERR_CLOSE - rescode.html#ioerr_close
- SQLITE_IOERR_CONVPATH - rescode.html#ioerr_convpath
- SQLITE_IOERR_DELETE - rescode.html#ioerr_delete
- SQLITE_IOERR_DELETE_NOENT - rescode.html#ioerr_delete_noent
- SQLITE_IOERR_DIR_CLOSE - rescode.html#ioerr_dir_close
- SQLITE_IOERR_DIR_FSYNC - rescode.html#ioerr_dir_fsync
- SQLITE_IOERR_FSTAT - rescode.html#ioerr_fstat
- SQLITE_IOERR_FSYNC - rescode.html#ioerr_fsync
- SQLITE_IOERR_GETTEMPPATH - rescode.html#ioerr_gettemppath
- SQLITE_IOERR_LOCK - rescode.html#ioerr_lock
- SQLITE_IOERR_MMAP - rescode.html#ioerr_mmap
- SQLITE_IOERR_NOMEM - rescode.html#ioerr_nomem
- SQLITE_IOERR_RDLOCK - rescode.html#ioerr_rdlock
- SQLITE_IOERR_READ - rescode.html#ioerr_read
- SQLITE_IOERR_SEEK - rescode.html#ioerr_seek
- SQLITE_IOERR_SHMLOCK - rescode.html#ioerr_shmlock
- SQLITE_IOERR_SHMMAP - rescode.html#ioerr_shmmap
- SQLITE_IOERR_SHMOPEN - rescode.html#ioerr_shmopen
- SQLITE_IOERR_SHMSIZE - rescode.html#ioerr_shmsize
- SQLITE_IOERR_SHORT_READ - rescode.html#ioerr_short_read
- SQLITE_IOERR_TRUNCATE - rescode.html#ioerr_truncate
- SQLITE_IOERR_UNLOCK - rescode.html#ioerr_unlock
- SQLITE_IOERR_VNODE - c3ref/c_abort_rollback.html
- SQLITE_IOERR_WRITE - rescode.html#ioerr_write
- SQLITE_LIMIT_ATTACHED - c3ref/c_limit_attached.html#sqlitelimitattached
- SQLITE_LIMIT_COLUMN - c3ref/c_limit_attached.html#sqlitelimitcolumn
- SQLITE_LIMIT_COMPOUND_SELECT - c3ref/c_limit_attached.html#sqlitelimitcompoundselect
- SQLITE_LIMIT_EXPR_DEPTH - c3ref/c_limit_attached.html#sqlitelimitexprdepth
- SQLITE_LIMIT_FUNCTION_ARG - c3ref/c_limit_attached.html#sqlitelimitfunctionarg
- SQLITE_LIMIT_LENGTH - c3ref/c_limit_attached.html#sqlitelimitlength
- SQLITE_LIMIT_LIKE_PATTERN_LENGTH - c3ref/c_limit_attached.html#sqlitelimitlikepatternlength
- SQLITE_LIMIT_SQL_LENGTH - c3ref/c_limit_attached.html#sqlitelimitsqllength
- SQLITE_LIMIT_TRIGGER_DEPTH - c3ref/c_limit_attached.html#sqlitelimittriggerdepth
- SQLITE_LIMIT_VARIABLE_NUMBER - c3ref/c_limit_attached.html#sqlitelimitvariablenumber
- SQLITE_LIMIT_VDBE_OP - c3ref/c_limit_attached.html#sqlitelimitvdbeop
- SQLITE_LIMIT_WORKER_THREADS - c3ref/c_limit_attached.html#sqlitelimitworkerthreads
- SQLITE_LOCK_EXCLUSIVE - c3ref/c_lock_exclusive.html
- SQLITE_LOCK_NONE - c3ref/c_lock_exclusive.html
- SQLITE_LOCK_PENDING - c3ref/c_lock_exclusive.html
- SQLITE_LOCK_RESERVED - c3ref/c_lock_exclusive.html
- SQLITE_LOCK_SHARED - c3ref/c_lock_exclusive.html
- SQLITE_LOCKED - rescode.html#locked
- SQLITE_LOCKED_SHAREDCACHE - rescode.html#locked_sharedcache
- sqlite_master - fileformat2.html#sqlite_master
- sqlite_master table - fileformat2.html#sqlite_master
- SQLITE_MAX_ATTACHED - limits.html#max_attached
- SQLITE_MAX_COLUMN - limits.html#max_column
- SQLITE_MAX_COMPOUND_SELECT - limits.html#max_compound_select
- SQLITE_MAX_EXPR_DEPTH - limits.html#max_expr_depth
- SQLITE_MAX_FUNCTION_ARG - limits.html#max_function_arg
- SQLITE_MAX_LENGTH - limits.html#max_length
- SQLITE_MAX_LIKE_PATTERN_LENGTH - limits.html#max_like_pattern_length
- SQLITE_MAX_MMAP_SIZE - compile.html#max_mmap_size
- SQLITE_MAX_PAGE_COUNT - limits.html#max_page_count
- SQLITE_MAX_SCHEMA_RETRY - compile.html#max_schema_retry
- SQLITE_MAX_SQL_LENGTH - limits.html#max_sql_length
- SQLITE_MAX_TRIGGER_DEPTH - limits.html#max_trigger_depth
- SQLITE_MAX_VARIABLE_NUMBER - limits.html#max_variable_number
- SQLITE_MAX_WORKER_THREADS - compile.html#max_worker_threads
- SQLITE_MEMDEBUG - compile.html#memdebug
- SQLITE_MINIMUM_FILE_DESCRIPTOR - compile.html#minimum_file_descriptor
- SQLITE_MISMATCH - rescode.html#mismatch
- SQLITE_MISUSE - rescode.html#misuse
- SQLITE_MUTEX_FAST - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_RECURSIVE - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_APP1 - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_APP2 - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_APP3 - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_LRU - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_LRU2 - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_MASTER - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_MEM - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_MEM2 - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_OPEN - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_PMEM - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_PRNG - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_VFS1 - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_VFS2 - c3ref/c_mutex_fast.html
- SQLITE_MUTEX_STATIC_VFS3 - c3ref/c_mutex_fast.html
- SQLITE_NOLFS - rescode.html#nolfs
- SQLITE_NOMEM - rescode.html#nomem
- SQLITE_NOTADB - rescode.html#notadb
- SQLITE_NOTFOUND - rescode.html#notfound
- SQLITE_NOTICE - rescode.html#notice
- SQLITE_NOTICE_RECOVER_ROLLBACK - rescode.html#notice_recover_rollback
- SQLITE_NOTICE_RECOVER_WAL - rescode.html#notice_recover_wal
- SQLITE_NULL - c3ref/c_blob.html
- SQLITE_OK - rescode.html#ok
- SQLITE_OMIT_ALTERTABLE - compile.html#omit_altertable
- SQLITE_OMIT_ANALYZE - compile.html#omit_analyze
- SQLITE_OMIT_ATTACH - compile.html#omit_attach
- SQLITE_OMIT_AUTHORIZATION - compile.html#omit_authorization
- SQLITE_OMIT_AUTOINCREMENT - compile.html#omit_autoincrement
- SQLITE_OMIT_AUTOINIT - compile.html#omit_autoinit
- SQLITE_OMIT_AUTOMATIC_INDEX - compile.html#omit_automatic_index
- SQLITE_OMIT_AUTORESET - compile.html#omit_autoreset
- SQLITE_OMIT_AUTOVACUUM - compile.html#omit_autovacuum
- SQLITE_OMIT_BETWEEN_OPTIMIZATION - compile.html#omit_between_optimization
- SQLITE_OMIT_BLOB_LITERAL - compile.html#omit_blob_literal
- SQLITE_OMIT_BTREECOUNT - compile.html#omit_btreecount
- SQLITE_OMIT_BUILTIN_TEST - compile.html#omit_builtin_test
- SQLITE_OMIT_CAST - compile.html#omit_cast
- SQLITE_OMIT_CHECK - compile.html#omit_check
- SQLITE_OMIT_COMPILEOPTION_DIAGS - compile.html#omit_compileoption_diags
- SQLITE_OMIT_COMPLETE - compile.html#omit_complete
- SQLITE_OMIT_COMPOUND_SELECT - compile.html#omit_compound_select
- SQLITE_OMIT_CTE - compile.html#omit_cte
- SQLITE_OMIT_DATETIME_FUNCS - compile.html#omit_datetime_funcs
- SQLITE_OMIT_DECLTYPE - compile.html#omit_decltype
- SQLITE_OMIT_DEPRECATED - compile.html#omit_deprecated
- SQLITE_OMIT_DISKIO - compile.html#omit_diskio
- SQLITE_OMIT_EXPLAIN - compile.html#omit_explain
- SQLITE_OMIT_FLAG_PRAGMAS - compile.html#omit_flag_pragmas
- SQLITE_OMIT_FLOATING_POINT - compile.html#omit_floating_point
- SQLITE_OMIT_FOREIGN_KEY - compile.html#omit_foreign_key
- SQLITE_OMIT_GET_TABLE - compile.html#omit_get_table
- SQLITE_OMIT_INCRBLOB - compile.html#omit_incrblob
- SQLITE_OMIT_INTEGRITY_CHECK - compile.html#omit_integrity_check
- SQLITE_OMIT_LIKE_OPTIMIZATION - compile.html#omit_like_optimization
- SQLITE_OMIT_LOAD_EXTENSION - compile.html#omit_load_extension
- SQLITE_OMIT_LOCALTIME - compile.html#omit_localtime
- SQLITE_OMIT_LOOKASIDE - compile.html#omit_lookaside
- SQLITE_OMIT_MEMORYDB - compile.html#omit_memorydb
- SQLITE_OMIT_OR_OPTIMIZATION - compile.html#omit_or_optimization
- SQLITE_OMIT_PAGER_PRAGMAS - compile.html#omit_pager_pragmas
- SQLITE_OMIT_PRAGMA - compile.html#omit_pragma
- SQLITE_OMIT_PROGRESS_CALLBACK - compile.html#omit_progress_callback
- SQLITE_OMIT_QUICKBALANCE - compile.html#omit_quickbalance
- SQLITE_OMIT_REINDEX - compile.html#omit_reindex
- SQLITE_OMIT_SCHEMA_PRAGMAS - compile.html#omit_schema_pragmas
- SQLITE_OMIT_SCHEMA_VERSION_PRAGMAS - compile.html#omit_schema_version_pragmas
- SQLITE_OMIT_SHARED_CACHE - compile.html#omit_shared_cache
- SQLITE_OMIT_SUBQUERY - compile.html#omit_subquery
- SQLITE_OMIT_TCL_VARIABLE - compile.html#omit_tcl_variable
- SQLITE_OMIT_TEMPDB - compile.html#omit_tempdb
- SQLITE_OMIT_TRACE - compile.html#omit_trace
- SQLITE_OMIT_TRIGGER - compile.html#omit_trigger
- SQLITE_OMIT_TRUNCATE_OPTIMIZATION - compile.html#omit_truncate_optimization
- SQLITE_OMIT_UTF16 - compile.html#omit_utf16
- SQLITE_OMIT_VACUUM - compile.html#omit_vacuum
- SQLITE_OMIT_VIEW - compile.html#omit_view
- SQLITE_OMIT_VIRTUALTABLE - compile.html#omit_virtualtable
- SQLITE_OMIT_WAL - compile.html#omit_wal
- SQLITE_OMIT_WSD - compile.html#omit_wsd
- SQLITE_OMIT_XFER_OPT - compile.html#omit_xfer_opt
- SQLITE_OPEN_AUTOPROXY - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_CREATE - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_DELETEONCLOSE - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_EXCLUSIVE - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_FULLMUTEX - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_MAIN_DB - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_MAIN_JOURNAL - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_MASTER_JOURNAL - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_MEMORY - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_NOMUTEX - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_PRIVATECACHE - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_READONLY - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_READWRITE - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_SHAREDCACHE - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_SUBJOURNAL - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_TEMP_DB - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_TEMP_JOURNAL - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_TRANSIENT_DB - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_URI - c3ref/c_open_autoproxy.html
- SQLITE_OPEN_WAL - c3ref/c_open_autoproxy.html
- SQLITE_OS_OTHER - compile.html#os_other
- SQLITE_PERM - rescode.html#perm
- SQLITE_POWERSAFE_OVERWRITE - compile.html#powersafe_overwrite
- SQLITE_PRAGMA - c3ref/c_alter_table.html
- SQLITE_PROTOCOL - rescode.html#protocol
- SQLITE_RANGE - rescode.html#range
- SQLITE_READ - c3ref/c_alter_table.html
- SQLITE_READONLY - rescode.html#readonly
- SQLITE_READONLY_CANTLOCK - rescode.html#readonly_cantlock
- SQLITE_READONLY_DBMOVED - rescode.html#readonly_dbmoved
- SQLITE_READONLY_RECOVERY - rescode.html#readonly_recovery
- SQLITE_READONLY_ROLLBACK - rescode.html#readonly_rollback
- SQLITE_RECURSIVE - c3ref/c_alter_table.html
- SQLITE_REINDEX - c3ref/c_alter_table.html
- SQLITE_REPLACE - c3ref/c_fail.html
- SQLITE_REVERSE_UNORDERED_SELECTS - compile.html#reverse_unordered_selects
- SQLITE_ROLLBACK - c3ref/c_fail.html
- SQLITE_ROW - rescode.html#row
- SQLITE_RTREE_INT_ONLY - compile.html#rtree_int_only
- SQLITE_SAVEPOINT - c3ref/c_alter_table.html
- SQLITE_SCANSTAT_EST - c3ref/c_scanstat_est.html#sqlitescanstatest
- SQLITE_SCANSTAT_EXPLAIN - c3ref/c_scanstat_est.html#sqlitescanstatexplain
- SQLITE_SCANSTAT_NAME - c3ref/c_scanstat_est.html#sqlitescanstatname
- SQLITE_SCANSTAT_NLOOP - c3ref/c_scanstat_est.html#sqlitescanstatnloop
- SQLITE_SCANSTAT_NVISIT - c3ref/c_scanstat_est.html#sqlitescanstatnvisit
- SQLITE_SCANSTAT_SELECTID - c3ref/c_scanstat_est.html#sqlitescanstatselectid
- SQLITE_SCHEMA - rescode.html#schema
- SQLITE_SECURE_DELETE - compile.html#secure_delete
- SQLITE_SELECT - c3ref/c_alter_table.html
- sqlite_sequence - fileformat2.html#seqtab
- SQLITE_SHM_EXCLUSIVE - c3ref/c_shm_exclusive.html
- SQLITE_SHM_LOCK - c3ref/c_shm_exclusive.html
- SQLITE_SHM_NLOCK - c3ref/c_shm_nlock.html
- SQLITE_SHM_SHARED - c3ref/c_shm_exclusive.html
- SQLITE_SHM_UNLOCK - c3ref/c_shm_exclusive.html
- SQLITE_SORTER_PMASZ - compile.html#sorter_pmasz
- SQLITE_SOUNDEX - compile.html#soundex
- SQLITE_SOURCE_ID - c3ref/c_source_id.html
- sqlite_source_id - lang_corefunc.html#sqlite_source_id
- sqlite_source_id SQL function - lang_corefunc.html#sqlite_source_id
- SQLITE_STAT1 - fileformat2.html#stat1tab
- sqlite_stat1 - fileformat2.html#stat1tab
- sqlite_stat2 - fileformat2.html#stat2tab
- SQLITE_STAT3 - fileformat2.html#stat3tab
- sqlite_stat3 - fileformat2.html#stat3tab
- SQLITE_STAT4 - fileformat2.html#stat4tab
- sqlite_stat4 - fileformat2.html#stat4tab
- SQLITE_STATIC - c3ref/c_static.html
- SQLITE_STATUS_MALLOC_COUNT - c3ref/c_status_malloc_count.html#sqlitestatusmalloccount
- SQLITE_STATUS_MALLOC_SIZE - c3ref/c_status_malloc_count.html#sqlitestatusmallocsize
- SQLITE_STATUS_MEMORY_USED - c3ref/c_status_malloc_count.html#sqlitestatusmemoryused
- SQLITE_STATUS_PAGECACHE_OVERFLOW - c3ref/c_status_malloc_count.html#sqlitestatuspagecacheoverflow
- SQLITE_STATUS_PAGECACHE_SIZE - c3ref/c_status_malloc_count.html#sqlitestatuspagecachesize
- SQLITE_STATUS_PAGECACHE_USED - c3ref/c_status_malloc_count.html#sqlitestatuspagecacheused
- SQLITE_STATUS_PARSER_STACK - c3ref/c_status_malloc_count.html#sqlitestatusparserstack
- SQLITE_STATUS_SCRATCH_OVERFLOW - c3ref/c_status_malloc_count.html#sqlitestatusscratchoverflow
- SQLITE_STATUS_SCRATCH_SIZE - c3ref/c_status_malloc_count.html#sqlitestatusscratchsize
- SQLITE_STATUS_SCRATCH_USED - c3ref/c_status_malloc_count.html#sqlitestatusscratchused
- SQLITE_STMTSTATUS counter - c3ref/c_stmtstatus_counter.html
- SQLITE_STMTSTATUS counters - c3ref/c_stmtstatus_counter.html
- SQLITE_STMTSTATUS_AUTOINDEX - c3ref/c_stmtstatus_counter.html#sqlitestmtstatusautoindex
- SQLITE_STMTSTATUS_FULLSCAN_STEP - c3ref/c_stmtstatus_counter.html#sqlitestmtstatusfullscanstep
- SQLITE_STMTSTATUS_SORT - c3ref/c_stmtstatus_counter.html#sqlitestmtstatussort
- SQLITE_STMTSTATUS_VM_STEP - c3ref/c_stmtstatus_counter.html#sqlitestmtstatusvmstep
- SQLITE_SYNC_DATAONLY - c3ref/c_sync_dataonly.html
- SQLITE_SYNC_FULL - c3ref/c_sync_dataonly.html
- SQLITE_SYNC_NORMAL - c3ref/c_sync_dataonly.html
- SQLITE_TEMP_STORE - compile.html#temp_store
- SQLITE_TESTCTRL_ALWAYS - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_ASSERT - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_BENIGN_MALLOC_HOOKS - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_BITVEC_TEST - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_BYTEORDER - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_EXPLAIN_STMT - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_FAULT_INSTALL - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_FIRST - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_IMPOSTER - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_ISINIT - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_ISKEYWORD - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_LAST - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_LOCALTIME_FAULT - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_NEVER_CORRUPT - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_OPTIMIZATIONS - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_PENDING_BYTE - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_PRNG_RESET - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_PRNG_RESTORE - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_PRNG_SAVE - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_RESERVE - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_SCRATCHMALLOC - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_SORTER_MMAP - c3ref/c_testctrl_always.html
- SQLITE_TESTCTRL_VDBE_COVERAGE - c3ref/c_testctrl_always.html
- SQLITE_TEXT - c3ref/c_blob.html
- SQLITE_THREADSAFE - compile.html#threadsafe
- SQLITE_TOOBIG - rescode.html#toobig
- SQLITE_TRACE_SIZE_LIMIT - compile.html#trace_size_limit
- SQLITE_TRANSACTION - c3ref/c_alter_table.html
- SQLITE_TRANSIENT - c3ref/c_static.html
- sqlite_uint64 - c3ref/int64.html
- SQLITE_UPDATE - c3ref/c_alter_table.html
- SQLITE_USE_FCNTL_TRACE - compile.html#use_fcntl_trace
- SQLITE_USE_URI - compile.html#use_uri
- SQLITE_UTF8 - c3ref/c_any.html
- SQLITE_UTF16 - c3ref/c_any.html
- SQLITE_UTF16_ALIGNED - c3ref/c_any.html
- SQLITE_UTF16BE - c3ref/c_any.html
- SQLITE_UTF16LE - c3ref/c_any.html
- SQLITE_VERSION - c3ref/c_source_id.html
- sqlite_version - lang_corefunc.html#sqlite_version
- sqlite_version SQL function - lang_corefunc.html#sqlite_version
- SQLITE_VERSION_NUMBER - c3ref/c_source_id.html
- SQLITE_VTAB_CONSTRAINT_SUPPORT - c3ref/c_vtab_constraint_support.html
- SQLITE_WARNING - rescode.html#warning
- SQLITE_WARNING_AUTOINDEX - rescode.html#warning_autoindex
- SQLITE_WIN32_HEAP_CREATE - compile.html#win32_heap_create
- SQLITE_WIN32_MALLOC - compile.html#win32_malloc
- SQLITE_WIN32_MALLOC_VALIDATE - compile.html#win32_malloc_validate
- SQLITE_ZERO_MALLOC - compile.html#zero_malloc
- standard query parameters - uri.html#coreqp
- stats - pragma.html#pragma_stats
- stats pragma - pragma.html#pragma_stats
- status method - tclsqlite.html#status
- status parameters - c3ref/c_status_malloc_count.html
- storage class - datatype3.html#storageclasses
- strategies - queryplanner.html#searching
- strftime SQL function - lang_datefunc.html
- substr - lang_corefunc.html#substr
- substr SQL function - lang_corefunc.html#substr
- sum - lang_aggfunc.html#sumunc
- sum aggregate function - lang_aggfunc.html#sumunc
- sumFunc - lang_aggfunc.html#sumunc
- synchronous - pragma.html#pragma_synchronous
- synchronous pragma - pragma.html#pragma_synchronous
- syntax diagrams - syntaxdiagrams.html
- table-constraint - syntax/table-constraint.html
- table-constraint syntax diagram - syntax/table-constraint.html
- table-or-subquery - syntax/table-or-subquery.html
- table-or-subquery syntax diagram - syntax/table-or-subquery.html
- table-valued function - vtab.html#tabfunc2
- table-valued functions - vtab.html#tabfunc2
- table-valued functions in the FROM clause - lang_select.html#tabfunc1
- table_info - pragma.html#pragma_table_info
- table_info pragma - pragma.html#pragma_table_info
- Tcl extension - tclsqlite.html
- TCL Interface - tclsqlite.html
- TCL interface authorizer method - tclsqlite.html#authorizer
- TCL interface backup method - tclsqlite.html#backup
- TCL interface busy method - tclsqlite.html#busy
- TCL interface cache method - tclsqlite.html#cache
- TCL interface changes method - tclsqlite.html#changes
- TCL interface close method - tclsqlite.html#close
- TCL interface collate method - tclsqlite.html#collate
- TCL interface collation_needed method - tclsqlite.html#collation_needed
- TCL interface commit_hook method - tclsqlite.html#commit_hook
- TCL interface complete method - tclsqlite.html#complete
- TCL interface copy method - tclsqlite.html#copy
- TCL interface enable_load_extension method - tclsqlite.html#enable_load_extension
- TCL interface errorcode method - tclsqlite.html#errorcode
- TCL interface eval method - tclsqlite.html#eval
- TCL interface exists method - tclsqlite.html#exists
- TCL interface function method - tclsqlite.html#function
- TCL interface incrblob method - tclsqlite.html#incrblob
- TCL interface last_insert_rowid method - tclsqlite.html#last_insert_rowid
- TCL interface nullvalue method - tclsqlite.html#nullvalue
- TCL interface onecolumn method - tclsqlite.html#onecolumn
- TCL interface profile method - tclsqlite.html#profile
- TCL interface progress method - tclsqlite.html#progress
- TCL interface restore method - tclsqlite.html#restore
- TCL interface rollback_hook method - tclsqlite.html#rollback_hook
- TCL interface status method - tclsqlite.html#status
- TCL interface timeout method - tclsqlite.html#timeout
- TCL interface total_changes method - tclsqlite.html#total_changes
- TCL interface trace method - tclsqlite.html#trace
- TCL interface transaction method - tclsqlite.html#transaction
- TCL interface update_hook method - tclsqlite.html#update_hook
- TCL interface version method - tclsqlite.html#version
- TCL interface wal_hook method - tclsqlite.html#wal_hook
- TCL test suite - testing.html#tcl
- TCL variable substitution - tclsqlite.html#varsubst
- TEA tarball - download.html
- TEMP triggers on non-TEMP tables - lang_createtrigger.html#temptrig
- temp_store - pragma.html#pragma_temp_store
- temp_store pragma - pragma.html#pragma_temp_store
- temp_store_directory - pragma.html#pragma_temp_store_directory
- temp_store_directory pragma - pragma.html#pragma_temp_store_directory
- temporary databases - inmemorydb.html#temp_db
- temporary disk files - tempfiles.html
- temporary tables - inmemorydb.html#temp_db
- tempstore - tempfiles.html#tempstore
- test coverage - testing.html#coverage
- test harness - testing.html#harnesses
- test suite - testing.html
- testcase macros - testing.html#testcase
- tested - testing.html
- testing - testing.html
- text encoding - fileformat2.html#enc
- TH3 - th3.html
- the .fullschema dot-command - cli.html#fullschema
- the amalgamation - amalgamation.html
- the ext3 barrier problem - lockingv3.html#ext3-barrier-problem
- The Fossil NGQP Upgrade Case Study - queryplanner-ng.html#fossilcasestudy
- the json1 extension - json1.html
- the xCachesize page cache method - c3ref/pcache_methods2.html#thexcachesizepagecachemethod
- the xCreate page cache methods - c3ref/pcache_methods2.html#thexcreatepagecachemethods
- the xDestroy page cache method - c3ref/pcache_methods2.html#thexdestroypagecachemethod
- the xFetch page cache methods - c3ref/pcache_methods2.html#thexfetchpagecachemethods
- the xInit page cache method - c3ref/pcache_methods2.html#thexinitpagecachemethod
- the xPagecount page cache methods - c3ref/pcache_methods2.html#thexpagecountpagecachemethods
- the xRekey page cache methods - c3ref/pcache_methods2.html#thexrekeypagecachemethods
- the xShrink page cache method - c3ref/pcache_methods2.html#thexshrinkpagecachemethod
- the xShutdown page cache method - c3ref/pcache_methods2.html#thexshutdownpagecachemethod
- the xUnpin page cache method - c3ref/pcache_methods2.html#thexunpinpagecachemethod
- Things That Can Go Wrong - atomiccommit.html#sect_9_0
- threading mode - threadsafe.html
- threads - pragma.html#pragma_threads
- threads pragma - pragma.html#pragma_threads
- three test harnesses - testing.html#harnesses
- time SQL function - lang_datefunc.html
- timeout method - tclsqlite.html#timeout
- tokenizer - fts3.html#tokenizer
- torn page - psow.html#tornpage
- total - lang_aggfunc.html#sumunc
- total aggregate function - lang_aggfunc.html#sumunc
- total_changes - lang_corefunc.html#total_changes
- total_changes method - tclsqlite.html#total_changes
- total_changes SQL function - lang_corefunc.html#total_changes
- trace method - tclsqlite.html#trace
- transaction method - tclsqlite.html#transaction
- treats the CROSS JOIN operator specially - lang_select.html#crossjoin
- trim - lang_corefunc.html#trim
- trim SQL function - lang_corefunc.html#trim
- truncate optimization - lang_delete.html#truncateopt
- type affinity - datatype3.html#affinity
- type-name - syntax/type-name.html
- type-name syntax diagram - syntax/type-name.html
- typeof - lang_corefunc.html#typeof
- typeof SQL function - lang_corefunc.html#typeof
- undefined BEFORE trigger behavior - lang_createtrigger.html#undef_before
- undo/redo - undoredo.html
- undoredo - undoredo.html
- unicode - lang_corefunc.html#unicode
- unicode SQL function - lang_corefunc.html#unicode
- unicode61 - fts3.html#unicode61
- Uniform Resource Identifier - uri.html
- unindexed - fts5.html#section_4_1
- UNIQUE - lang_createtable.html#uniqueconst
- UNIQUE constraint - lang_createtable.html#uniqueconst
- unique constraint - lang_createtable.html#uniqueconst
- unique index - lang_createindex.html#uniqueidx
- unlikely - lang_corefunc.html#unlikely
- unlikely SQL function - lang_corefunc.html#unlikely
- unlink corruption - howtocorrupt.html#unlink
- unlinked database files - howtocorrupt.html#unlink
- unprotected sqlite3_value - c3ref/value.html
- UPDATE - lang_update.html
- update-stmt - syntax/update-stmt.html
- update-stmt syntax diagram - syntax/update-stmt.html
- update-stmt-limited - syntax/update-stmt-limited.html
- update-stmt-limited syntax diagram - syntax/update-stmt-limited.html
- update_hook method - tclsqlite.html#update_hook
- UPDATEs - lang_update.html
- upluscontrol - optoverview.html#uplus
- upper - lang_corefunc.html#upper
- upper SQL function - lang_corefunc.html#upper
- URI - uri.html
- URI filename - uri.html
- URI filename examples - c3ref/open.html#urifilenameexamples
- URI filenames - uri.html
- URI filenames in sqlite3_open - c3ref/open.html#urifilenamesinsqlite3open
- URI query parameters - uri.html#coreqp
- usable size - fileformat2.html#usable_size
- user_version - pragma.html#pragma_schema_version
- user_version pragma - pragma.html#pragma_schema_version
- Using the SQLite Online Backup API - backup.html
- Using the SQLite Unlock Notification Feature - unlock_notify.html
- VACUUM - lang_vacuum.html
- vacuum-stmt - syntax/vacuum-stmt.html
- vacuum-stmt syntax diagram - syntax/vacuum-stmt.html
- VALUES - lang_select.html#values
- VALUES clause - lang_select.html#values
- variable-length integer - fileformat2.html#varint
- varint - fileformat2.html#varint
- VDBE - opcode.html
- vdbe_addoptrace - pragma.html#pragma_vdbe_addoptrace
- vdbe_addoptrace pragma - pragma.html#pragma_vdbe_addoptrace
- vdbe_debug - pragma.html#pragma_vdbe_debug
- vdbe_debug pragma - pragma.html#pragma_vdbe_debug
- vdbe_listing - pragma.html#pragma_vdbe_listing
- vdbe_listing pragma - pragma.html#pragma_vdbe_listing
- vdbe_trace - pragma.html#pragma_vdbe_trace
- vdbe_trace pragma - pragma.html#pragma_vdbe_trace
- Version 3.0.0 - releaselog/3_0_0.html
- version 3.0.0 - releaselog/3_0_0.html
- Version 3.0.1 - releaselog/3_0_1.html
- version 3.0.1 - releaselog/3_0_1.html
- Version 3.0.2 - releaselog/3_0_2.html
- version 3.0.2 - releaselog/3_0_2.html
- Version 3.0.3 - releaselog/3_0_3.html
- version 3.0.3 - releaselog/3_0_3.html
- Version 3.0.4 - releaselog/3_0_4.html
- version 3.0.4 - releaselog/3_0_4.html
- Version 3.0.5 - releaselog/3_0_5.html
- version 3.0.5 - releaselog/3_0_5.html
- Version 3.0.6 - releaselog/3_0_6.html
- version 3.0.6 - releaselog/3_0_6.html
- Version 3.0.7 - releaselog/3_0_7.html
- version 3.0.7 - releaselog/3_0_7.html
- Version 3.0.8 - releaselog/3_0_8.html
- version 3.0.8 - releaselog/3_0_8.html
- Version 3.1.0 - releaselog/3_1_0.html
- version 3.1.0 - releaselog/3_1_0.html
- Version 3.1.1 - releaselog/3_1_1.html
- version 3.1.1 - releaselog/3_1_1.html
- Version 3.1.2 - releaselog/3_1_2.html
- version 3.1.2 - releaselog/3_1_2.html
- Version 3.1.3 - releaselog/3_1_3.html
- version 3.1.3 - releaselog/3_1_3.html
- Version 3.1.4 - releaselog/3_1_4.html
- version 3.1.4 - releaselog/3_1_4.html
- Version 3.1.5 - releaselog/3_1_5.html
- version 3.1.5 - releaselog/3_1_5.html
- Version 3.1.6 - releaselog/3_1_6.html
- version 3.1.6 - releaselog/3_1_6.html
- Version 3.2.0 - releaselog/3_2_0.html
- version 3.2.0 - releaselog/3_2_0.html
- Version 3.2.1 - releaselog/3_2_1.html
- version 3.2.1 - releaselog/3_2_1.html
- Version 3.2.2 - releaselog/3_2_2.html
- version 3.2.2 - releaselog/3_2_2.html
- Version 3.2.3 - releaselog/3_2_3.html
- version 3.2.3 - releaselog/3_2_3.html
- Version 3.2.4 - releaselog/3_2_4.html
- version 3.2.4 - releaselog/3_2_4.html
- Version 3.2.5 - releaselog/3_2_5.html
- version 3.2.5 - releaselog/3_2_5.html
- Version 3.2.6 - releaselog/3_2_6.html
- version 3.2.6 - releaselog/3_2_6.html
- Version 3.2.7 - releaselog/3_2_7.html
- version 3.2.7 - releaselog/3_2_7.html
- Version 3.2.8 - releaselog/3_2_8.html
- version 3.2.8 - releaselog/3_2_8.html
- Version 3.3.0 - releaselog/3_3_0.html
- version 3.3.0 - releaselog/3_3_0.html
- Version 3.3.1 - releaselog/3_3_1.html
- version 3.3.1 - releaselog/3_3_1.html
- Version 3.3.2 - releaselog/3_3_2.html
- version 3.3.2 - releaselog/3_3_2.html
- Version 3.3.3 - releaselog/3_3_3.html
- version 3.3.3 - releaselog/3_3_3.html
- Version 3.3.4 - releaselog/3_3_4.html
- version 3.3.4 - releaselog/3_3_4.html
- Version 3.3.5 - releaselog/3_3_5.html
- version 3.3.5 - releaselog/3_3_5.html
- Version 3.3.6 - releaselog/3_3_6.html
- version 3.3.6 - releaselog/3_3_6.html
- Version 3.3.7 - releaselog/3_3_7.html
- version 3.3.7 - releaselog/3_3_7.html
- Version 3.3.8 - releaselog/3_3_8.html
- version 3.3.8 - releaselog/3_3_8.html
- Version 3.3.9 - releaselog/3_3_9.html
- version 3.3.9 - releaselog/3_3_9.html
- Version 3.3.10 - releaselog/3_3_10.html
- version 3.3.10 - releaselog/3_3_10.html
- Version 3.3.11 - releaselog/3_3_11.html
- version 3.3.11 - releaselog/3_3_11.html
- Version 3.3.12 - releaselog/3_3_12.html
- version 3.3.12 - releaselog/3_3_12.html
- Version 3.3.13 - releaselog/3_3_13.html
- version 3.3.13 - releaselog/3_3_13.html
- Version 3.3.14 - releaselog/3_3_14.html
- version 3.3.14 - releaselog/3_3_14.html
- Version 3.3.15 - releaselog/3_3_15.html
- version 3.3.15 - releaselog/3_3_15.html
- Version 3.3.16 - releaselog/3_3_16.html
- version 3.3.16 - releaselog/3_3_16.html
- Version 3.3.17 - releaselog/3_3_17.html
- version 3.3.17 - releaselog/3_3_17.html
- Version 3.4.0 - releaselog/3_4_0.html
- version 3.4.0 - releaselog/3_4_0.html
- Version 3.4.1 - releaselog/3_4_1.html
- version 3.4.1 - releaselog/3_4_1.html
- Version 3.4.2 - releaselog/3_4_2.html
- version 3.4.2 - releaselog/3_4_2.html
- Version 3.5.0 - releaselog/3_5_0.html
- version 3.5.0 - releaselog/3_5_0.html
- Version 3.5.1 - releaselog/3_5_1.html
- version 3.5.1 - releaselog/3_5_1.html
- Version 3.5.2 - releaselog/3_5_2.html
- version 3.5.2 - releaselog/3_5_2.html
- Version 3.5.3 - releaselog/3_5_3.html
- version 3.5.3 - releaselog/3_5_3.html
- Version 3.5.4 - releaselog/3_5_4.html
- version 3.5.4 - releaselog/3_5_4.html
- Version 3.5.5 - releaselog/3_5_5.html
- version 3.5.5 - releaselog/3_5_5.html
- Version 3.5.6 - releaselog/3_5_6.html
- version 3.5.6 - releaselog/3_5_6.html
- Version 3.5.7 - releaselog/3_5_7.html
- version 3.5.7 - releaselog/3_5_7.html
- Version 3.5.8 - releaselog/3_5_8.html
- version 3.5.8 - releaselog/3_5_8.html
- Version 3.5.9 - releaselog/3_5_9.html
- version 3.5.9 - releaselog/3_5_9.html
- Version 3.6.0 - releaselog/3_6_0.html
- version 3.6.0 - releaselog/3_6_0.html
- Version 3.6.1 - releaselog/3_6_1.html
- version 3.6.1 - releaselog/3_6_1.html
- Version 3.6.2 - releaselog/3_6_2.html
- version 3.6.2 - releaselog/3_6_2.html
- Version 3.6.3 - releaselog/3_6_3.html
- version 3.6.3 - releaselog/3_6_3.html
- Version 3.6.4 - releaselog/3_6_4.html
- version 3.6.4 - releaselog/3_6_4.html
- Version 3.6.5 - releaselog/3_6_5.html
- version 3.6.5 - releaselog/3_6_5.html
- Version 3.6.6 - releaselog/3_6_6.html
- version 3.6.6 - releaselog/3_6_6.html
- Version 3.6.6.1 - releaselog/3_6_6_1.html
- version 3.6.6.1 - releaselog/3_6_6_1.html
- Version 3.6.6.2 - releaselog/3_6_6_2.html
- version 3.6.6.2 - releaselog/3_6_6_2.html
- Version 3.6.7 - releaselog/3_6_7.html
- version 3.6.7 - releaselog/3_6_7.html
- Version 3.6.8 - releaselog/3_6_8.html
- version 3.6.8 - releaselog/3_6_8.html
- Version 3.6.9 - releaselog/3_6_9.html
- version 3.6.9 - releaselog/3_6_9.html
- Version 3.6.10 - releaselog/3_6_10.html
- version 3.6.10 - releaselog/3_6_10.html
- Version 3.6.11 - releaselog/3_6_11.html
- version 3.6.11 - releaselog/3_6_11.html
- Version 3.6.12 - releaselog/3_6_12.html
- version 3.6.12 - releaselog/3_6_12.html
- Version 3.6.13 - releaselog/3_6_13.html
- version 3.6.13 - releaselog/3_6_13.html
- Version 3.6.14 - releaselog/3_6_14.html
- version 3.6.14 - releaselog/3_6_14.html
- Version 3.6.14.1 - releaselog/3_6_14_1.html
- version 3.6.14.1 - releaselog/3_6_14_1.html
- Version 3.6.14.2 - releaselog/3_6_14_2.html
- version 3.6.14.2 - releaselog/3_6_14_2.html
- Version 3.6.15 - releaselog/3_6_15.html
- version 3.6.15 - releaselog/3_6_15.html
- Version 3.6.16 - releaselog/3_6_16.html
- version 3.6.16 - releaselog/3_6_16.html
- Version 3.6.16.1 - releaselog/3_6_16_1.html
- version 3.6.16.1 - releaselog/3_6_16_1.html
- Version 3.6.17 - releaselog/3_6_17.html
- version 3.6.17 - releaselog/3_6_17.html
- Version 3.6.18 - releaselog/3_6_18.html
- version 3.6.18 - releaselog/3_6_18.html
- Version 3.6.19 - releaselog/3_6_19.html
- version 3.6.19 - releaselog/3_6_19.html
- Version 3.6.20 - releaselog/3_6_20.html
- version 3.6.20 - releaselog/3_6_20.html
- Version 3.6.21 - releaselog/3_6_21.html
- version 3.6.21 - releaselog/3_6_21.html
- Version 3.6.22 - releaselog/3_6_22.html
- version 3.6.22 - releaselog/3_6_22.html
- Version 3.6.23 - releaselog/3_6_23.html
- version 3.6.23 - releaselog/3_6_23.html
- Version 3.6.23.1 - releaselog/3_6_23_1.html
- version 3.6.23.1 - releaselog/3_6_23_1.html
- Version 3.7.0 - releaselog/3_7_0.html
- version 3.7.0 - releaselog/3_7_0.html
- Version 3.7.0.1 - releaselog/3_7_0_1.html
- version 3.7.0.1 - releaselog/3_7_0_1.html
- Version 3.7.1 - releaselog/3_7_1.html
- version 3.7.1 - releaselog/3_7_1.html
- Version 3.7.2 - releaselog/3_7_2.html
- version 3.7.2 - releaselog/3_7_2.html
- Version 3.7.3 - releaselog/3_7_3.html
- version 3.7.3 - releaselog/3_7_3.html
- Version 3.7.4 - releaselog/3_7_4.html
- version 3.7.4 - releaselog/3_7_4.html
- Version 3.7.5 - releaselog/3_7_5.html
- version 3.7.5 - releaselog/3_7_5.html
- Version 3.7.6 - releaselog/3_7_6.html
- version 3.7.6 - releaselog/3_7_6.html
- Version 3.7.6.1 - releaselog/3_7_6_1.html
- version 3.7.6.1 - releaselog/3_7_6_1.html
- Version 3.7.6.2 - releaselog/3_7_6_2.html
- version 3.7.6.2 - releaselog/3_7_6_2.html
- Version 3.7.6.3 - releaselog/3_7_6_3.html
- version 3.7.6.3 - releaselog/3_7_6_3.html
- Version 3.7.7 - releaselog/3_7_7.html
- version 3.7.7 - releaselog/3_7_7.html
- Version 3.7.7.1 - releaselog/3_7_7_1.html
- version 3.7.7.1 - releaselog/3_7_7_1.html
- Version 3.7.8 - releaselog/3_7_8.html
- version 3.7.8 - releaselog/3_7_8.html
- Version 3.7.9 - releaselog/3_7_9.html
- version 3.7.9 - releaselog/3_7_9.html
- Version 3.7.10 - releaselog/3_7_10.html
- version 3.7.10 - releaselog/3_7_10.html
- Version 3.7.11 - releaselog/3_7_11.html
- version 3.7.11 - releaselog/3_7_11.html
- Version 3.7.12 - releaselog/3_7_12.html
- version 3.7.12 - releaselog/3_7_12.html
- Version 3.7.12.1 - releaselog/3_7_12_1.html
- version 3.7.12.1 - releaselog/3_7_12_1.html
- Version 3.7.13 - releaselog/3_7_13.html
- version 3.7.13 - releaselog/3_7_13.html
- Version 3.7.14 - releaselog/3_7_14.html
- version 3.7.14 - releaselog/3_7_14.html
- Version 3.7.14.1 - releaselog/3_7_14_1.html
- version 3.7.14.1 - releaselog/3_7_14_1.html
- Version 3.7.15 - releaselog/3_7_15.html
- version 3.7.15 - releaselog/3_7_15.html
- Version 3.7.15.1 - releaselog/3_7_15_1.html
- version 3.7.15.1 - releaselog/3_7_15_1.html
- Version 3.7.15.2 - releaselog/3_7_15_2.html
- version 3.7.15.2 - releaselog/3_7_15_2.html
- Version 3.7.16 - releaselog/3_7_16.html
- version 3.7.16 - releaselog/3_7_16.html
- Version 3.7.16.1 - releaselog/3_7_16_1.html
- version 3.7.16.1 - releaselog/3_7_16_1.html
- Version 3.7.16.2 - releaselog/3_7_16_2.html
- version 3.7.16.2 - releaselog/3_7_16_2.html
- Version 3.7.17 - releaselog/3_7_17.html
- version 3.7.17 - releaselog/3_7_17.html
- Version 3.8.0 - releaselog/3_8_0.html
- version 3.8.0 - releaselog/3_8_0.html
- Version 3.8.0.1 - releaselog/3_8_0_1.html
- version 3.8.0.1 - releaselog/3_8_0_1.html
- Version 3.8.0.2 - releaselog/3_8_0_2.html
- version 3.8.0.2 - releaselog/3_8_0_2.html
- Version 3.8.1 - releaselog/3_8_1.html
- version 3.8.1 - releaselog/3_8_1.html
- Version 3.8.2 - releaselog/3_8_2.html
- version 3.8.2 - releaselog/3_8_2.html
- Version 3.8.3 - releaselog/3_8_3.html
- version 3.8.3 - releaselog/3_8_3.html
- Version 3.8.3.1 - releaselog/3_8_3_1.html
- version 3.8.3.1 - releaselog/3_8_3_1.html
- Version 3.8.4 - releaselog/3_8_4.html
- version 3.8.4 - releaselog/3_8_4.html
- Version 3.8.4.1 - releaselog/3_8_4_1.html
- version 3.8.4.1 - releaselog/3_8_4_1.html
- Version 3.8.4.2 - releaselog/3_8_4_2.html
- version 3.8.4.2 - releaselog/3_8_4_2.html
- Version 3.8.4.3 - releaselog/3_8_4_3.html
- version 3.8.4.3 - releaselog/3_8_4_3.html
- Version 3.8.5 - releaselog/3_8_5.html
- version 3.8.5 - releaselog/3_8_5.html
- Version 3.8.6 - releaselog/3_8_6.html
- version 3.8.6 - releaselog/3_8_6.html
- Version 3.8.7 - releaselog/3_8_7.html
- version 3.8.7 - releaselog/3_8_7.html
- Version 3.8.7.1 - releaselog/3_8_7_1.html
- version 3.8.7.1 - releaselog/3_8_7_1.html
- Version 3.8.7.2 - releaselog/3_8_7_2.html
- version 3.8.7.2 - releaselog/3_8_7_2.html
- Version 3.8.7.3 - releaselog/3_8_7_3.html
- version 3.8.7.3 - releaselog/3_8_7_3.html
- Version 3.8.7.4 - releaselog/3_8_7_4.html
- version 3.8.7.4 - releaselog/3_8_7_4.html
- Version 3.8.8 - releaselog/3_8_8.html
- version 3.8.8 - releaselog/3_8_8.html
- Version 3.8.8.1 - releaselog/3_8_8_1.html
- version 3.8.8.1 - releaselog/3_8_8_1.html
- Version 3.8.8.2 - releaselog/3_8_8_2.html
- version 3.8.8.2 - releaselog/3_8_8_2.html
- Version 3.8.8.3 - releaselog/3_8_8_3.html
- version 3.8.8.3 - releaselog/3_8_8_3.html
- Version 3.8.9 - releaselog/3_8_9.html
- version 3.8.9 - releaselog/3_8_9.html
- Version 3.8.10 - releaselog/3_8_10.html
- version 3.8.10 - releaselog/3_8_10.html
- Version 3.8.10.1 - releaselog/3_8_10_1.html
- version 3.8.10.1 - releaselog/3_8_10_1.html
- Version 3.8.10.2 - releaselog/3_8_10_2.html
- version 3.8.10.2 - releaselog/3_8_10_2.html
- Version 3.8.11 - releaselog/3_8_11.html
- version 3.8.11 - releaselog/3_8_11.html
- Version 3.8.11.1 - releaselog/3_8_11_1.html
- version 3.8.11.1 - releaselog/3_8_11_1.html
- Version 3.9.0 - releaselog/3_9_0.html
- version 3.9.0 - releaselog/3_9_0.html
- version method - tclsqlite.html#version
- version numbering conventions - versionnumbers.html
- version-valid-for number - fileformat2.html#validfor
- VFS - vfs.html
- vfs query parameter - uri.html#urivfs
- VFS shims - vfs.html#shim
- VFSes - vfs.html
- VIEW - lang_createview.html
- view - lang_createview.html
- views - lang_createview.html
- virtual machine - opcode.html
- virtual machine instructions - opcode.html
- virtual table - vtab.html
- virtual table cursor - c3ref/vtab_cursor.html
- virtual table module - c3ref/module.html
- virtual tables - vtab.html
- WAL - wal.html
- WAL backwards compatibility - wal.html#bkwrds
- WAL checksum algorithm - fileformat2.html#walcksm
- WAL concurrency - wal.html#concurrency
- WAL format - fileformat2.html#walformat
- WAL mode - wal.html
- WAL read algorithm - fileformat2.html#walread
- WAL without shared memory - wal.html#noshm
- wal-index - fileformat2.html#walindexformat
- WAL-index format - fileformat2.html#walindexformat
- wal_autocheckpoint - pragma.html#pragma_wal_autocheckpoint
- wal_autocheckpoint pragma - pragma.html#pragma_wal_autocheckpoint
- wal_checkpoint - pragma.html#pragma_wal_checkpoint
- wal_checkpoint pragma - pragma.html#pragma_wal_checkpoint
- wal_hook method - tclsqlite.html#wal_hook
- What If OpenOffice Used SQLite - affcase1.html
- when to use WITHOUT ROWID - withoutrowid.html#wtu
- WHERE clause - lang_select.html#whereclause
- Win32 native memory allocator - malloc.html#win32heap
- WITH - lang_with.html
- WITH clause - lang_with.html
- with-clause - syntax/with-clause.html
- with-clause syntax diagram - syntax/with-clause.html
- WITHOUT ROWID - withoutrowid.html
- WITHOUT rowid - withoutrowid.html
- writable_schema - pragma.html#pragma_writable_schema
- writable_schema pragma - pragma.html#pragma_writable_schema
- write-ahead log - wal.html
- writer starvation - lockingv3.html#writer_starvation
- xBegin - vtab.html#xBegin
- xBestIndex - vtab.html#xbestindex
- xColumn - vtab.html#xcolumn
- xCommit - vtab.html#xcommit
- xConnect - vtab.html#xconnect
- xCreate - vtab.html#xcreate
- xDestroy - vtab.html#sqlite3_module.xDestroy
- xDisconnect - vtab.html#xdisconnect
- xEof - vtab.html#xeof
- xFilter - vtab.html#xfilter
- xFindFunction - vtab.html#xfindfunction
- xNext - vtab.html#xnext
- xQueryFunc RTree callback - rtree.html#xquery
- xRelease - vtab.html#xsavepoint
- xRename - vtab.html#xrename
- xRollback - vtab.html#xrollback
- xRollbackTo - vtab.html#xsavepoint
- xRowid - vtab.html#xrowid
- xSavepoint - vtab.html#xsavepoint
- xUpdate - vtab.html#xupdate
- YYSTACKDEPTH - compile.html#yystackdepth
- YYTRACKMAXSTACKDEPTH - compile.html#yytrackmaxstackdepth
- zero-malloc memory allocator - malloc.html#memsys5
- zeroblob - lang_corefunc.html#zeroblob
- zeroblob SQL function - lang_corefunc.html#zeroblob